
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * COUPON-RELATED ADDITIONAL REFERENCE definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AdditionalReferenceType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:AssociatedObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="ns:CodesetType" name="Type"/>
 *         &lt;xs:element type="xs:string" name="ID"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AdditionalReferenceType extends AssociatedObjectBaseType implements
    Serializable
{
    private CodesetType type;
    private String ID;

    /** 
     * Get the 'Type' element value. Additional Reference Type. Example: 6 (Customer ID)

    Encoding Scheme: IATA Padis Codeset - List for data element 9958 (Reservation Control Type)
     * 
     * @return value
     */
    public CodesetType getType() {
        return type;
    }

    /** 
     * Set the 'Type' element value. Additional Reference Type. Example: 6 (Customer ID)

    Encoding Scheme: IATA Padis Codeset - List for data element 9958 (Reservation Control Type)
     * 
     * @param type
     */
    public void setType(CodesetType type) {
        this.type = type;
    }

    /** 
     * Get the 'ID' element value. Additional Reference ID.

    Note: Based on the specified Type, this may contain an invoice number, customer file reference, customer id, or airline indexing field.
     * 
     * @return value
     */
    public String getID() {
        return ID;
    }

    /** 
     * Set the 'ID' element value. Additional Reference ID.

    Note: Based on the specified Type, this may contain an invoice number, customer file reference, customer id, or airline indexing field.
     * 
     * @param ID
     */
    public void setID(String ID) {
        this.ID = ID;
    }
}
