
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Advance Purchase Restriction Value. Example: P7D (7 days)
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AdvancePurchase">
 *   &lt;xs:complexType>
 *     &lt;xs:simpleContent>
 *       &lt;xs:extension base="xs:string">
 *         &lt;xs:attribute type="xs:string" name="Context"/>
 *       &lt;/xs:extension>
 *     &lt;/xs:simpleContent>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class AdvancePurchase implements Serializable
{
    private String string;
    private String context;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public String getString() {
        return string;
    }

    /** 
     * Set the extension value.
     * 
     * @param string
     */
    public void setString(String string) {
        this.string = string;
    }

    /** 
     * Get the 'Context' attribute value. Restriction context. Example: EARLIEST, LATEST, Other
     * 
     * @return value
     */
    public String getContext() {
        return context;
    }

    /** 
     * Set the 'Context' attribute value. Restriction context. Example: EARLIEST, LATEST, Other
     * 
     * @param context
     */
    public void setContext(String context) {
        this.context = context;
    }
}
