
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for Agent User (e.g. Travel Agent) ID.

 User ID.
 Example: ksmith212
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AgentUserID_Type">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:UniqueIDContextType">
 *       &lt;xs:attribute type="xs:string" use="optional" name="Name"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AgentUserIDType extends UniqueIDContextType implements
    Serializable
{
    private String name;

    /** 
     * Get the 'Name' attribute value. Agent User Name.  Example: Karen Smith
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' attribute value. Agent User Name.  Example: Karen Smith
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }
}
