
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented AIRCRAFT Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AircraftMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:AircraftMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class AircraftMetadatas implements Serializable
{
    private List<AircraftMetadataType> aircraftMetadataList = new ArrayList<AircraftMetadataType>();

    /** 
     * Get the list of 'AircraftMetadata' element items. AIRCRAFT Metadata.
     * 
     * @return list
     */
    public List<AircraftMetadataType> getAircraftMetadataList() {
        return aircraftMetadataList;
    }

    /** 
     * Set the list of 'AircraftMetadata' element items. AIRCRAFT Metadata.
     * 
     * @param list
     */
    public void setAircraftMetadataList(List<AircraftMetadataType> list) {
        aircraftMetadataList = list;
    }
}
