
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * AIRCRAFT EQUIPMENT CODE QUERY representation.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AircraftTailNmbrQueryType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:KeyWithMetaObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="xs:string" name="TailNumber" maxOccurs="unbounded"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AircraftTailNmbrQueryType extends KeyWithMetaObjectBaseType
    implements Serializable
{
    private List<String> tailNumberList = new ArrayList<String>();

    /** 
     * Get the list of 'TailNumber' element items. Aircraft Equipment Tail Number.
     * 
     * @return list
     */
    public List<String> getTailNumberList() {
        return tailNumberList;
    }

    /** 
     * Set the list of 'TailNumber' element items. Aircraft Equipment Tail Number.
     * 
     * @param list
     */
    public void setTailNumberList(List<String> list) {
        tailNumberList = list;
    }
}
