
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented AIRPORT Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AirportMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:AirportMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class AirportMetadatas implements Serializable
{
    private List<AirportMetadataType> airportMetadataList = new ArrayList<AirportMetadataType>();

    /** 
     * Get the list of 'AirportMetadata' element items.
     * 
     * @return list
     */
    public List<AirportMetadataType> getAirportMetadataList() {
        return airportMetadataList;
    }

    /** 
     * Set the list of 'AirportMetadata' element items.
     * 
     * @param list
     */
    public void setAirportMetadataList(List<AirportMetadataType> list) {
        airportMetadataList = list;
    }
}
