
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * A data type definition for Augmentation Point Definition and List.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AugPointInfoType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:AugPointType" name="AugPoint" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:AugPointListType" name="Lists" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class AugPointInfoType implements Serializable
{
    private List<AugPointType> augPointList = new ArrayList<AugPointType>();
    private AugPointListType lists;

    /** 
     * Get the list of 'AugPoint' element items. Augmentation Point Definition.
     * 
     * @return list
     */
    public List<AugPointType> getAugPointList() {
        return augPointList;
    }

    /** 
     * Set the list of 'AugPoint' element items. Augmentation Point Definition.
     * 
     * @param list
     */
    public void setAugPointList(List<AugPointType> list) {
        augPointList = list;
    }

    /** 
     * Get the 'Lists' element value. Augmentation Point Reference/ Association Lists.
     * 
     * @return value
     */
    public AugPointListType getLists() {
        return lists;
    }

    /** 
     * Set the 'Lists' element value. Augmentation Point Reference/ Association Lists.
     * 
     * @param lists
     */
    public void setLists(AugPointListType lists) {
        this.lists = lists;
    }
}
