
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Association to Carry-on Allowance, Checked Bag Allowance and/or Baggage Disclosure.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BagDetailAssociation">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:BagDisclosureReferences" minOccurs="0"/>
 *       &lt;xs:element ref="ns:CheckedBagReferences" minOccurs="0"/>
 *       &lt;xs:element ref="ns:CarryOnReferences" minOccurs="0"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class BagDetailAssociation implements Serializable
{
    private BagDisclosureReferences bagDisclosureReferences;
    private CheckedBagReferences checkedBagReferences;
    private CarryOnReferences carryOnReferences;

    /** 
     * Get the 'BagDisclosureReferences' element value.
     * 
     * @return value
     */
    public BagDisclosureReferences getBagDisclosureReferences() {
        return bagDisclosureReferences;
    }

    /** 
     * Set the 'BagDisclosureReferences' element value.
     * 
     * @param bagDisclosureReferences
     */
    public void setBagDisclosureReferences(
            BagDisclosureReferences bagDisclosureReferences) {
        this.bagDisclosureReferences = bagDisclosureReferences;
    }

    /** 
     * Get the 'CheckedBagReferences' element value.
     * 
     * @return value
     */
    public CheckedBagReferences getCheckedBagReferences() {
        return checkedBagReferences;
    }

    /** 
     * Set the 'CheckedBagReferences' element value.
     * 
     * @param checkedBagReferences
     */
    public void setCheckedBagReferences(
            CheckedBagReferences checkedBagReferences) {
        this.checkedBagReferences = checkedBagReferences;
    }

    /** 
     * Get the 'CarryOnReferences' element value.
     * 
     * @return value
     */
    public CarryOnReferences getCarryOnReferences() {
        return carryOnReferences;
    }

    /** 
     * Set the 'CarryOnReferences' element value.
     * 
     * @param carryOnReferences
     */
    public void setCarryOnReferences(CarryOnReferences carryOnReferences) {
        this.carryOnReferences = carryOnReferences;
    }
}
