
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * BAGGAGE DETAIL Metadata definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BaggageDetailMetadataType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:MetadataObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:Attributes" minOccurs="0"/>
 *         &lt;xs:element name="FareTariff" minOccurs="0">
 *           &lt;!-- Reference to inner class FareTariff -->
 *         &lt;/xs:element>
 *         &lt;xs:element type="xs:string" name="FareRule" minOccurs="0"/>
 *         &lt;xs:element type="xs:string" name="FareCat" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class BaggageDetailMetadataType extends MetadataObjectBaseType implements
    Serializable
{
    private AttributesType attributes;
    private FareTariff fareTariff;
    private String fareRule;
    private String fareCat;

    /** 
     * Get the 'Attributes' element value.
     * 
     * @return value
     */
    public AttributesType getAttributes() {
        return attributes;
    }

    /** 
     * Set the 'Attributes' element value.
     * 
     * @param attributes
     */
    public void setAttributes(AttributesType attributes) {
        this.attributes = attributes;
    }

    /** 
     * Get the 'FareTariff' element value.
     * 
     * @return value
     */
    public FareTariff getFareTariff() {
        return fareTariff;
    }

    /** 
     * Set the 'FareTariff' element value.
     * 
     * @param fareTariff
     */
    public void setFareTariff(FareTariff fareTariff) {
        this.fareTariff = fareTariff;
    }

    /** 
     * Get the 'FareRule' element value. Fare rule code.
    Example: EU (ECONOMY UNRESTRICTED)
     * 
     * @return value
     */
    public String getFareRule() {
        return fareRule;
    }

    /** 
     * Set the 'FareRule' element value. Fare rule code.
    Example: EU (ECONOMY UNRESTRICTED)
     * 
     * @param fareRule
     */
    public void setFareRule(String fareRule) {
        this.fareRule = fareRule;
    }

    /** 
     * Get the 'FareCat' element value. Fare category.
    Example: CATEGORY 35
     * 
     * @return value
     */
    public String getFareCat() {
        return fareCat;
    }

    /** 
     * Set the 'FareCat' element value. Fare category.
    Example: CATEGORY 35
     * 
     * @param fareCat
     */
    public void setFareCat(String fareCat) {
        this.fareCat = fareCat;
    }
    /** 
     * Tariff.
    Example: PF17
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FareTariff" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:simpleContent>
     *       &lt;xs:extension base="xs:string">
     *         &lt;xs:attribute type="xs:string" use="optional" name="FareType"/>
     *       &lt;/xs:extension>
     *     &lt;/xs:simpleContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class FareTariff implements Serializable
    {
        private String string;
        private String fareType;

        /** 
         * Get the extension value.
         * 
         * @return value
         */
        public String getString() {
            return string;
        }

        /** 
         * Set the extension value.
         * 
         * @param string
         */
        public void setString(String string) {
            this.string = string;
        }

        /** 
         * Get the 'FareType' attribute value. Fare Type.
         * 
         * @return value
         */
        public String getFareType() {
            return fareType;
        }

        /** 
         * Set the 'FareType' attribute value. Fare Type.
         * 
         * @param fareType
         */
        public void setFareType(String fareType) {
            this.fareType = fareType;
        }
    }
}
