
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * A data type for Cabin Preferences.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CabinPreferencesType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:AssociatedObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:CabinType" maxOccurs="unbounded"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CabinPreferencesType extends AssociatedObjectBaseType implements
    Serializable
{
    private List<CabinType> cabinTypeList = new ArrayList<CabinType>();

    /** 
     * Get the list of 'CabinType' element items.
     * 
     * @return list
     */
    public List<CabinType> getCabinTypeList() {
        return cabinTypeList;
    }

    /** 
     * Set the list of 'CabinType' element items.
     * 
     * @param list
     */
    public void setCabinTypeList(List<CabinType> list) {
        cabinTypeList = list;
    }
}
