
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented CARRY-ON BAGGAGE ALLOWANCE Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CarryOnBagMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:CarryOnBagMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class CarryOnBagMetadatas implements Serializable
{
    private List<CarryOnBagMetadata> carryOnBagMetadataList = new ArrayList<CarryOnBagMetadata>();

    /** 
     * Get the list of 'CarryOnBagMetadata' element items.
     * 
     * @return list
     */
    public List<CarryOnBagMetadata> getCarryOnBagMetadataList() {
        return carryOnBagMetadataList;
    }

    /** 
     * Set the list of 'CarryOnBagMetadata' element items.
     * 
     * @param list
     */
    public void setCarryOnBagMetadataList(List<CarryOnBagMetadata> list) {
        carryOnBagMetadataList = list;
    }
}
