
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented CITY Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CityMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:CityMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class CityMetadatas implements Serializable
{
    private List<CityMetadataType> cityMetadataList = new ArrayList<CityMetadataType>();

    /** 
     * Get the list of 'CityMetadata' element items.
     * 
     * @return list
     */
    public List<CityMetadataType> getCityMetadataList() {
        return cityMetadataList;
    }

    /** 
     * Set the list of 'CityMetadata' element items.
     * 
     * @param list
     */
    public void setCityMetadataList(List<CityMetadataType> list) {
        cityMetadataList = list;
    }
}
