
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented CODESET Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CodesetMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:CodesetMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class CodesetMetadatas implements Serializable
{
    private List<CodesetMetadataType> codesetMetadataList = new ArrayList<CodesetMetadataType>();

    /** 
     * Get the list of 'CodesetMetadata' element items.
     * 
     * @return list
     */
    public List<CodesetMetadataType> getCodesetMetadataList() {
        return codesetMetadataList;
    }

    /** 
     * Set the list of 'CodesetMetadata' element items.
     * 
     * @param list
     */
    public void setCodesetMetadataList(List<CodesetMetadataType> list) {
        codesetMetadataList = list;
    }
}
