
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * A base type definition for Core Entity Object.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CoreBaseType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:AugPointAssocType" name="AugPointAssocs" minOccurs="0"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Key"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="Owner"/>
 *   &lt;xs:attribute type="xs:integer" use="optional" name="Seq"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CoreBaseType implements Serializable
{
    private AugPointAssocType augPointAssocs;
    private String key;
    private String owner;
    private BigInteger seq;

    /** 
     * Get the 'AugPointAssocs' element value. Object Augmentation Point(s).
     * 
     * @return value
     */
    public AugPointAssocType getAugPointAssocs() {
        return augPointAssocs;
    }

    /** 
     * Set the 'AugPointAssocs' element value. Object Augmentation Point(s).
     * 
     * @param augPointAssocs
     */
    public void setAugPointAssocs(AugPointAssocType augPointAssocs) {
        this.augPointAssocs = augPointAssocs;
    }

    /** 
     * Get the 'Key' attribute value. Globally Unique Object instance/ class Key.

    Example: 2B75C565-5BB0- 4DCE-8DE6-67CB7B4F25A7
     * 
     * @return value
     */
    public String getKey() {
        return key;
    }

    /** 
     * Set the 'Key' attribute value. Globally Unique Object instance/ class Key.

    Example: 2B75C565-5BB0- 4DCE-8DE6-67CB7B4F25A7
     * 
     * @param key
     */
    public void setKey(String key) {
        this.key = key;
    }

    /** 
     * Get the 'Owner' attribute value. Source Entity Code or ID. Examples: BA, WIDGETCO
     * 
     * @return value
     */
    public String getOwner() {
        return owner;
    }

    /** 
     * Set the 'Owner' attribute value. Source Entity Code or ID. Examples: BA, WIDGETCO
     * 
     * @param owner
     */
    public void setOwner(String owner) {
        this.owner = owner;
    }

    /** 
     * Get the 'Seq' attribute value. Sequence ID. Example: 1
     * 
     * @return value
     */
    public BigInteger getSeq() {
        return seq;
    }

    /** 
     * Set the 'Seq' attribute value. Sequence ID. Example: 1
     * 
     * @param seq
     */
    public void setSeq(BigInteger seq) {
        this.seq = seq;
    }
}
