
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented COUNTRY Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CountryMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:CountryMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class CountryMetadatas implements Serializable
{
    private List<CountryMetadataType> countryMetadataList = new ArrayList<CountryMetadataType>();

    /** 
     * Get the list of 'CountryMetadata' element items.
     * 
     * @return list
     */
    public List<CountryMetadataType> getCountryMetadataList() {
        return countryMetadataList;
    }

    /** 
     * Set the list of 'CountryMetadata' element items.
     * 
     * @param list
     */
    public void setCountryMetadataList(List<CountryMetadataType> list) {
        countryMetadataList = list;
    }
}
