
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * COUPON-RELATED Traveler DETAIL definitiion.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CouponTravelerDetailType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:CouponTravelerCoreType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:EmailContact" minOccurs="0" maxOccurs="5"/>
 *         &lt;xs:element ref="ns:PhoneContact" minOccurs="0" maxOccurs="unbounded"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class CouponTravelerDetailType extends CouponTravelerCoreType implements
    Serializable
{
    private List<EmailContact> emailContactList = new ArrayList<EmailContact>();
    private List<PhoneContact> phoneContactList = new ArrayList<PhoneContact>();

    /** 
     * Get the list of 'EmailContact' element items. Traveler Email Contact.
     * 
     * @return list
     */
    public List<EmailContact> getEmailContactList() {
        return emailContactList;
    }

    /** 
     * Set the list of 'EmailContact' element items. Traveler Email Contact.
     * 
     * @param list
     */
    public void setEmailContactList(List<EmailContact> list) {
        emailContactList = list;
    }

    /** 
     * Get the list of 'PhoneContact' element items.
     * 
     * @return list
     */
    public List<PhoneContact> getPhoneContactList() {
        return phoneContactList;
    }

    /** 
     * Set the list of 'PhoneContact' element items.
     * 
     * @param list
     */
    public void setPhoneContactList(List<PhoneContact> list) {
        phoneContactList = list;
    }
}
