
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented CURRENCY Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="CurrencyMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:CurrencyMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class CurrencyMetadatas implements Serializable
{
    private List<CurrencyMetadataType> currencyMetadataList = new ArrayList<CurrencyMetadataType>();

    /** 
     * Get the list of 'CurrencyMetadata' element items.
     * 
     * @return list
     */
    public List<CurrencyMetadataType> getCurrencyMetadataList() {
        return currencyMetadataList;
    }

    /** 
     * Set the list of 'CurrencyMetadata' element items.
     * 
     * @param list
     */
    public void setCurrencyMetadataList(List<CurrencyMetadataType> list) {
        currencyMetadataList = list;
    }
}
