
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Policy and object association(s).
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DataListObjAttrGroup">
 *   &lt;xs:attribute type="xs:string" use="optional" name="refs"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="ListKey"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class DataListObjAttrGroup implements Serializable
{
    private String refs;
    private String listKey;

    /** 
     * Get the 'refs' attribute value. Object association(s) between this object and any object instance(s).
     * 
     * @return value
     */
    public String getRefs() {
        return refs;
    }

    /** 
     * Set the 'refs' attribute value. Object association(s) between this object and any object instance(s).
     * 
     * @param refs
     */
    public void setRefs(String refs) {
        this.refs = refs;
    }

    /** 
     * Get the 'ListKey' attribute value. Globally unique id for this Data List instance.
     * 
     * @return value
     */
    public String getListKey() {
        return listKey;
    }

    /** 
     * Set the 'ListKey' attribute value. Globally unique id for this Data List instance.
     * 
     * @param listKey
     */
    public void setListKey(String listKey) {
        this.listKey = listKey;
    }
}
