
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.Date;

/** 
 * A data type definition for Effective/ Expiration Date And Time Period Representation.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DateTimePeriodType">
 *   &lt;xs:attribute type="xs:dateTime" use="optional" name="Effective"/>
 *   &lt;xs:attribute type="xs:dateTime" use="optional" name="Expiration"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DateTimePeriodType implements Serializable
{
    private Date effective;
    private Date expiration;

    /** 
     * Get the 'Effective' attribute value. Effective (start) Date/ Time. Example: 2017-01-13T06:00:00
     * 
     * @return value
     */
    public Date getEffective() {
        return effective;
    }

    /** 
     * Set the 'Effective' attribute value. Effective (start) Date/ Time. Example: 2017-01-13T06:00:00
     * 
     * @param effective
     */
    public void setEffective(Date effective) {
        this.effective = effective;
    }

    /** 
     * Get the 'Expiration' attribute value. Expiration (end) Date/ Time. Example: 2017-03-13T23:00:00
     * 
     * @return value
     */
    public Date getExpiration() {
        return expiration;
    }

    /** 
     * Set the 'Expiration' attribute value. Expiration (end) Date/ Time. Example: 2017-03-13T23:00:00
     * 
     * @param expiration
     */
    public void setExpiration(Date expiration) {
        this.expiration = expiration;
    }
}
