
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented DISCLOSURE Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DisclosureMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:DisclosureMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class DisclosureMetadatas implements Serializable
{
    private List<DisclosureMetadata> disclosureMetadataList = new ArrayList<DisclosureMetadata>();

    /** 
     * Get the list of 'DisclosureMetadata' element items. DISCLOSURE Metadata Detail
     * 
     * @return list
     */
    public List<DisclosureMetadata> getDisclosureMetadataList() {
        return disclosureMetadataList;
    }

    /** 
     * Set the list of 'DisclosureMetadata' element items. DISCLOSURE Metadata Detail
     * 
     * @param list
     */
    public void setDisclosureMetadataList(List<DisclosureMetadata> list) {
        disclosureMetadataList = list;
    }
}
