
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for SYSTEM Intermediary Role, Core Representation.

 Notes:
 1. This is a representation of common (role-agnostic) properties associated with this Actor definition.
 2. This type is used as (derived) base type for all Roles associated with this Actor.
 3. This type is derived from IntermediaryCoreRepType.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="EnabledSystemType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:IntermediaryCoreRepType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:SystemID"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class EnabledSystemType extends IntermediaryCoreRepType implements
    Serializable
{
    private SystemID systemID;

    /** 
     * Get the 'SystemID' element value.
     * 
     * @return value
     */
    public SystemID getSystemID() {
        return systemID;
    }

    /** 
     * Set the 'SystemID' element value.
     * 
     * @param systemID
     */
    public void setSystemID(SystemID systemID) {
        this.systemID = systemID;
    }
}
