
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Payment Authorization Failure information.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Failed">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element type="ns:CodesetType" name="Code"/>
 *       &lt;xs:element ref="ns:Associations" minOccurs="0"/>
 *       &lt;xs:element ref="ns:Remarks" minOccurs="0"/>
 *     &lt;/xs:sequence>
 *     &lt;xs:attribute type="xs:boolean" use="optional" name="FailedInd"/>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class Failed implements Serializable
{
    private CodesetType code;
    private Associations associations;
    private Remarks remarks;
    private Boolean failedInd;

    /** 
     * Get the 'Code' element value. Payment Failure Code (and optional definition.)

    Encoding Scheme: IATA Padis Codeset - List for data element [9321] Application Error, coded
     * 
     * @return value
     */
    public CodesetType getCode() {
        return code;
    }

    /** 
     * Set the 'Code' element value. Payment Failure Code (and optional definition.)

    Encoding Scheme: IATA Padis Codeset - List for data element [9321] Application Error, coded
     * 
     * @param code
     */
    public void setCode(CodesetType code) {
        this.code = code;
    }

    /** 
     * Get the 'Associations' element value.
     * 
     * @return value
     */
    public Associations getAssociations() {
        return associations;
    }

    /** 
     * Set the 'Associations' element value.
     * 
     * @param associations
     */
    public void setAssociations(Associations associations) {
        this.associations = associations;
    }

    /** 
     * Get the 'Remarks' element value. Payment Remark(s).
     * 
     * @return value
     */
    public Remarks getRemarks() {
        return remarks;
    }

    /** 
     * Set the 'Remarks' element value. Payment Remark(s).
     * 
     * @param remarks
     */
    public void setRemarks(Remarks remarks) {
        this.remarks = remarks;
    }

    /** 
     * Get the 'FailedInd' attribute value. When TRUE, this payment form has failed.
     * 
     * @return value
     */
    public Boolean getFailedInd() {
        return failedInd;
    }

    /** 
     * Set the 'FailedInd' attribute value. When TRUE, this payment form has failed.
     * 
     * @param failedInd
     */
    public void setFailedInd(Boolean failedInd) {
        this.failedInd = failedInd;
    }
}
