
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * DETAIL FARE BASIS, including code, price class name and application.NDC Capability Model: FARE - FARE BASIS CODE

 ============
 Feature(s)
 ============
 • Fare Basis Application (usage context) maybe specified (e.g. Requested, Ticketed, Other).

 ============
 Metadata
 ============
 • FareMetadata
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FareBasisCodeType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:KeyWithMetaObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="xs:string" name="Code"/>
 *         &lt;xs:element type="xs:string" name="Application" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class FareBasisCodeType extends KeyWithMetaObjectBaseType implements
    Serializable
{
    private String code;
    private String application;

    /** 
     * Get the 'Code' element value. Fare basis code. Example: Y26
     * 
     * @return value
     */
    public String getCode() {
        return code;
    }

    /** 
     * Set the 'Code' element value. Fare basis code. Example: Y26
     * 
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    /** 
     * Get the 'Application' element value. Fare basis application.
    Examples: Requested, Ticketed, Other
     * 
     * @return value
     */
    public String getApplication() {
        return application;
    }

    /** 
     * Set the 'Application' element value. Fare basis application.
    Examples: Requested, Ticketed, Other
     * 
     * @param application
     */
    public void setApplication(String application) {
        this.application = application;
    }
}
