
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * The identifier reflecting the method of pricing for the transaction as entered  on the ticket.

 0 = Indicates that a fare has been system computer priced and that no change has been made to the 
 reservation between pricing and ticket issuance with no manipulation of the fare, or any data filed with 
 the fare, including taxes, fees and charges and applicable standard fare conditions in accordance with 
 Tariff Resolutions 100 and 101 with the exception of the Tour Code.
 1 = Identifies a manually built fare
 2 = Identifies a fare that was auto-priced, but baggage and/or TFC data has been manipulated.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="ns:CodesetType" name="FareInd"/>
 * </pre>
 */
public class FareInd extends CodesetType implements Serializable
{
}
