
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Flight Display Pricing Method.

 Examples:

 OriginDestinationPair - Pricing is assigned for the outbound segment of the O/D pair level and applies to all associated flight segment(s).

 Segment - Pricing is assigned at an individual flight segment level and applies to the associated O/D pair and any associated flight segment(s).

 Bilateral - Pricing is assigned per bilateral agreement.

 Note: This is the method used for display pricing, e.g. how prices have been represented for O/D and flight segments.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FlightDisplayPricingMethod"/>
 * </pre>
 */
public class FlightDisplayPricingMethod implements Serializable
{
}
