
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented FLIGHT Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="FlightMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:FlightMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class FlightMetadatas implements Serializable
{
    private List<FlightMetadataType> flightMetadataList = new ArrayList<FlightMetadataType>();

    /** 
     * Get the list of 'FlightMetadata' element items.
     * 
     * @return list
     */
    public List<FlightMetadataType> getFlightMetadataList() {
        return flightMetadataList;
    }

    /** 
     * Set the list of 'FlightMetadata' element items.
     * 
     * @param list
     */
    public void setFlightMetadataList(List<FlightMetadataType> list) {
        flightMetadataList = list;
    }
}
