
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Day of the week when a Flight operates
 Examples:
 1234567 (MON through SUN)
 123 (MON, TUE, WED)
 467 (THU, FRI, SAT)
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="xs:string" name="Frequency"/>
 * </pre>
 */
public class Frequency implements Serializable
{
    private String frequency;

    /** 
     * Get the 'Frequency' element value.
     * 
     * @return value
     */
    public String getFrequency() {
        return frequency;
    }

    /** 
     * Set the 'Frequency' element value.
     * 
     * @param frequency
     */
    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }
}
