
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Policy and object association(s).
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="IdentifierObjAttrGroup">
 *   &lt;xs:attribute type="xs:string" use="optional" name="refs"/>
 *   &lt;xs:attribute type="xs:string" use="required" name="IdentifierKey"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class IdentifierObjAttrGroup implements Serializable
{
    private String refs;
    private String identifierKey;

    /** 
     * Get the 'refs' attribute value. Object association(s) between this object and any object instance(s).
     * 
     * @return value
     */
    public String getRefs() {
        return refs;
    }

    /** 
     * Set the 'refs' attribute value. Object association(s) between this object and any object instance(s).
     * 
     * @param refs
     */
    public void setRefs(String refs) {
        this.refs = refs;
    }

    /** 
     * Get the 'IdentifierKey' attribute value. A globally unique identifier for this unique identifier instance.
     * 
     * @return value
     */
    public String getIdentifierKey() {
        return identifierKey;
    }

    /** 
     * Set the 'IdentifierKey' attribute value. A globally unique identifier for this unique identifier instance.
     * 
     * @param identifierKey
     */
    public void setIdentifierKey(String identifierKey) {
        this.identifierKey = identifierKey;
    }
}
