
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Information Policy Notice definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="InfoPolicyNoticeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:PolicyType" name="Policy" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 *   &lt;xs:attribute type="xs:boolean" use="optional" name="PolicyDefinedInd"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class InfoPolicyNoticeType implements Serializable
{
    private List<PolicyType> policyList = new ArrayList<PolicyType>();
    private Boolean policyDefinedInd;

    /** 
     * Get the list of 'Policy' element items. Policy Detail.
     * 
     * @return list
     */
    public List<PolicyType> getPolicyList() {
        return policyList;
    }

    /** 
     * Set the list of 'Policy' element items. Policy Detail.
     * 
     * @param list
     */
    public void setPolicyList(List<PolicyType> list) {
        policyList = list;
    }

    /** 
     * Get the 'PolicyDefinedInd' attribute value. 
            When TRUE, data policy(s) have been specified for payload content.
          
     * 
     * @return value
     */
    public Boolean getPolicyDefinedInd() {
        return policyDefinedInd;
    }

    /** 
     * Set the 'PolicyDefinedInd' attribute value. 
            When TRUE, data policy(s) have been specified for payload content.
          
     * 
     * @param policyDefinedInd
     */
    public void setPolicyDefinedInd(Boolean policyDefinedInd) {
        this.policyDefinedInd = policyDefinedInd;
    }
}
