
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Instant purchase type.
 Examples:
 CC (Ticketless purchase immediately charged to credit card)
 NO (Not an instant purchase)
 TT (Simultaneous with time of ticketing)

 Encoding scheme: IATA PADIS Codeset IPT - Instant Purchase Type
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="ns:CodesetType" name="InstantPurchase"/>
 * </pre>
 */
public class InstantPurchase extends CodesetType implements Serializable
{
}
