
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * CORE SEAT definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ListOfSeatType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:DataListObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="ns:SeatLocationType" name="Location"/>
 *         &lt;xs:element name="Details" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ListOfSeatType extends DataListObjectBaseType implements
    Serializable
{
    private SeatLocationType location;
    private boolean details;

    /** 
     * Get the 'Location' element value. Seat Location information.
     * 
     * @return value
     */
    public SeatLocationType getLocation() {
        return location;
    }

    /** 
     * Set the 'Location' element value. Seat Location information.
     * 
     * @param location
     */
    public void setLocation(SeatLocationType location) {
        this.location = location;
    }

    /** 
     * Check if the 'Details' element is present.
     * 
     * @return <code>true</code> if present, <code>false</code> if not
     */
    public boolean ifDetailsPresent() {
        return details;
    }

    /** 
     * Set flag for 'Details' element present.
     * 
     * @param details
     */
    public void flagDetailsPresent(boolean details) {
        this.details = details;
    }
}
