
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for MARKETING CARRIER Supplier Role, Core Representation.

 Notes:
 1. This is a representation of common (role-agnostic) properties associated with this Actor definition.
 2. This type is used as (derived) base type for all Roles associated with this Actor.
 3. This type is derived from AirlineCoreRepType.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MarketingCarrierType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:AirlineCoreRepType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:FlightNumber" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MarketingCarrierType extends AirlineCoreRepType implements
    Serializable
{
    private FlightNumber flightNumber;

    /** 
     * Get the 'FlightNumber' element value.
     * 
     * @return value
     */
    public FlightNumber getFlightNumber() {
        return flightNumber;
    }

    /** 
     * Set the 'FlightNumber' element value.
     * 
     * @param flightNumber
     */
    public void setFlightNumber(FlightNumber flightNumber) {
        this.flightNumber = flightNumber;
    }
}
