
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Married segment type.  Example: B (Beginning of Married Segment Group)

 Encoding Scheme: IATA PADIS Codeset for data element 1050 - Sequence Number
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MarriedSegmentType">
 *   &lt;xs:complexType>
 *     &lt;xs:complexContent>
 *       &lt;xs:extension base="ns:CodesetType">
 *         &lt;xs:sequence>
 *           &lt;xs:element type="xs:string" name="Group" minOccurs="0"/>
 *         &lt;/xs:sequence>
 *       &lt;/xs:extension>
 *     &lt;/xs:complexContent>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class MarriedSegmentType extends CodesetType implements Serializable
{
    private String group;

    /** 
     * Get the 'Group' element value. Married Segment Group Number. Example: 1
     * 
     * @return value
     */
    public String getGroup() {
        return group;
    }

    /** 
     * Set the 'Group' element value. Married Segment Group Number. Example: 1
     * 
     * @param group
     */
    public void setGroup(String group) {
        this.group = group;
    }
}
