
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented MEDIA Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MediaMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:MediaMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class MediaMetadatas implements Serializable
{
    private List<MediaMetadataType> mediaMetadataList = new ArrayList<MediaMetadataType>();

    /** 
     * Get the list of 'MediaMetadata' element items. MEDIA Metadata Detail
     * 
     * @return list
     */
    public List<MediaMetadataType> getMediaMetadataList() {
        return mediaMetadataList;
    }

    /** 
     * Set the list of 'MediaMetadata' element items. MEDIA Metadata Detail
     * 
     * @param list
     */
    public void setMediaMetadataList(List<MediaMetadataType> list) {
        mediaMetadataList = list;
    }
}
