
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * OFFER ITEM TIME LIMIT SET (collection) definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OfferItemTimeLimitSetType">
 *   &lt;xs:sequence>
 *     &lt;xs:element name="TimeLimit" maxOccurs="unbounded">
 *       &lt;!-- Reference to inner class TimeLimit -->
 *     &lt;/xs:element>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OfferItemTimeLimitSetType implements Serializable
{
    private List<TimeLimit> timeLimitList = new ArrayList<TimeLimit>();

    /** 
     * Get the list of 'TimeLimit' element items.
     * 
     * @return list
     */
    public List<TimeLimit> getTimeLimitList() {
        return timeLimitList;
    }

    /** 
     * Set the list of 'TimeLimit' element items.
     * 
     * @param list
     */
    public void setTimeLimitList(List<TimeLimit> list) {
        timeLimitList = list;
    }
    /** 
     * Offer Item Time Limit detail.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TimeLimit" maxOccurs="unbounded">
     *   &lt;xs:complexType>
     *     &lt;xs:complexContent>
     *       &lt;xs:extension base="ns:KeyWithMetaObjectBaseType">
     *         &lt;xs:sequence>
     *           &lt;xs:element ref="ns:PriceGuaranteeTimeLimit"/>
     *           &lt;xs:element ref="ns:TicketByTimeLimit"/>
     *         &lt;/xs:sequence>
     *       &lt;/xs:extension>
     *     &lt;/xs:complexContent>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class TimeLimit extends KeyWithMetaObjectBaseType implements
        Serializable
    {
        private PriceGuaranteeTimeLimit priceGuaranteeTimeLimit;
        private TicketByTimeLimitType ticketByTimeLimit;

        /** 
         * Get the 'PriceGuaranteeTimeLimit' element value.
         * 
         * @return value
         */
        public PriceGuaranteeTimeLimit getPriceGuaranteeTimeLimit() {
            return priceGuaranteeTimeLimit;
        }

        /** 
         * Set the 'PriceGuaranteeTimeLimit' element value.
         * 
         * @param priceGuaranteeTimeLimit
         */
        public void setPriceGuaranteeTimeLimit(
                PriceGuaranteeTimeLimit priceGuaranteeTimeLimit) {
            this.priceGuaranteeTimeLimit = priceGuaranteeTimeLimit;
        }

        /** 
         * Get the 'TicketByTimeLimit' element value.
         * 
         * @return value
         */
        public TicketByTimeLimitType getTicketByTimeLimit() {
            return ticketByTimeLimit;
        }

        /** 
         * Set the 'TicketByTimeLimit' element value.
         * 
         * @param ticketByTimeLimit
         */
        public void setTicketByTimeLimit(TicketByTimeLimitType ticketByTimeLimit) {
            this.ticketByTimeLimit = ticketByTimeLimit;
        }
    }
}
