
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Policy, unique instance id, object metadata and other object associations.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OfferKeyMetaAttrGroup">
 *   &lt;xs:attribute type="xs:string" use="optional" name="refs"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="OfferMetaReferences"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class OfferKeyMetaAttrGroup implements Serializable
{
    private String refs;
    private String offerMetaReferences;

    /** 
     * Get the 'refs' attribute value. Object association(s) between this object and any other object or metadata instance(s).
     * 
     * @return value
     */
    public String getRefs() {
        return refs;
    }

    /** 
     * Set the 'refs' attribute value. Object association(s) between this object and any other object or metadata instance(s).
     * 
     * @param refs
     */
    public void setRefs(String refs) {
        this.refs = refs;
    }

    /** 
     * Get the 'OfferMetaReferences' attribute value. Offer Metadata Association(s). Example: meta1 meta3
     * 
     * @return value
     */
    public String getOfferMetaReferences() {
        return offerMetaReferences;
    }

    /** 
     * Set the 'OfferMetaReferences' attribute value. Offer Metadata Association(s). Example: meta1 meta3
     * 
     * @param offerMetaReferences
     */
    public void setOfferMetaReferences(String offerMetaReferences) {
        this.offerMetaReferences = offerMetaReferences;
    }
}
