
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented OFFER ITEM Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OfferMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:OfferMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class OfferMetadatas implements Serializable
{
    private List<OfferItemMetadataType> offerMetadataList = new ArrayList<OfferItemMetadataType>();

    /** 
     * Get the list of 'OfferMetadata' element items. OFFER ITEM Metadata.
     * 
     * @return list
     */
    public List<OfferItemMetadataType> getOfferMetadataList() {
        return offerMetadataList;
    }

    /** 
     * Set the list of 'OfferMetadata' element items. OFFER ITEM Metadata.
     * 
     * @param list
     */
    public void setOfferMetadataList(List<OfferItemMetadataType> list) {
        offerMetadataList = list;
    }
}
