
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * OFFER/ OFFER ITEM STATUS definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OfferStatusType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Status"/>
 *     &lt;xs:element ref="ns:AugmentationPoint" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OfferStatusType implements Serializable
{
    private String status;
    private AugPointInfoType augmentationPoint;

    /** 
     * Get the 'Status' element value. Status. Examples: NN (Requested); HK (Confirmed)

    Note: This Offer Status may contain any bilaterally-agreed upon status information.

     * 
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /** 
     * Set the 'Status' element value. Status. Examples: NN (Requested); HK (Confirmed)

    Note: This Offer Status may contain any bilaterally-agreed upon status information.

     * 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /** 
     * Get the 'AugmentationPoint' element value.
     * 
     * @return value
     */
    public AugPointInfoType getAugmentationPoint() {
        return augmentationPoint;
    }

    /** 
     * Set the 'AugmentationPoint' element value.
     * 
     * @param augmentationPoint
     */
    public void setAugmentationPoint(AugPointInfoType augmentationPoint) {
        this.augmentationPoint = augmentationPoint;
    }
}
