
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Order FARE RULES definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrderFareRulesType">
 *   &lt;xs:sequence>
 *     &lt;xs:element ref="ns:Penalty" minOccurs="0"/>
 *     &lt;xs:element ref="ns:CorporateFare" minOccurs="0"/>
 *     &lt;xs:element name="AdvanceStay" minOccurs="0">
 *       &lt;!-- Reference to inner class AdvanceStay -->
 *     &lt;/xs:element>
 *     &lt;xs:element ref="ns:Remarks" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrderFareRulesType implements Serializable
{
    private Penalty penalty;
    private CorporateFare corporateFare;
    private AdvanceStay advanceStay;
    private Remarks remarks;

    /** 
     * Get the 'Penalty' element value.
     * 
     * @return value
     */
    public Penalty getPenalty() {
        return penalty;
    }

    /** 
     * Set the 'Penalty' element value.
     * 
     * @param penalty
     */
    public void setPenalty(Penalty penalty) {
        this.penalty = penalty;
    }

    /** 
     * Get the 'CorporateFare' element value.
     * 
     * @return value
     */
    public CorporateFare getCorporateFare() {
        return corporateFare;
    }

    /** 
     * Set the 'CorporateFare' element value.
     * 
     * @param corporateFare
     */
    public void setCorporateFare(CorporateFare corporateFare) {
        this.corporateFare = corporateFare;
    }

    /** 
     * Get the 'AdvanceStay' element value.
     * 
     * @return value
     */
    public AdvanceStay getAdvanceStay() {
        return advanceStay;
    }

    /** 
     * Set the 'AdvanceStay' element value.
     * 
     * @param advanceStay
     */
    public void setAdvanceStay(AdvanceStay advanceStay) {
        this.advanceStay = advanceStay;
    }

    /** 
     * Get the 'Remarks' element value. Fare Remark(s).
     * 
     * @return value
     */
    public Remarks getRemarks() {
        return remarks;
    }

    /** 
     * Set the 'Remarks' element value. Fare Remark(s).
     * 
     * @param remarks
     */
    public void setRemarks(Remarks remarks) {
        this.remarks = remarks;
    }
    /** 
     * Advance Ticketing, Advance Purchase, Minimum Stay and Maximum Stay.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="AdvanceStay" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element ref="ns:AdvancePurchase" minOccurs="0"/>
     *       &lt;xs:element ref="ns:AdvanceTicketing" minOccurs="0"/>
     *       &lt;xs:element ref="ns:MinimumStay" minOccurs="0"/>
     *       &lt;xs:element ref="ns:MaximumStay" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class AdvanceStay implements Serializable
    {
        private AdvancePurchase advancePurchase;
        private AdvanceTicketing advanceTicketing;
        private MinimumStay minimumStay;
        private MaximumStay maximumStay;

        /** 
         * Get the 'AdvancePurchase' element value.
         * 
         * @return value
         */
        public AdvancePurchase getAdvancePurchase() {
            return advancePurchase;
        }

        /** 
         * Set the 'AdvancePurchase' element value.
         * 
         * @param advancePurchase
         */
        public void setAdvancePurchase(AdvancePurchase advancePurchase) {
            this.advancePurchase = advancePurchase;
        }

        /** 
         * Get the 'AdvanceTicketing' element value.
         * 
         * @return value
         */
        public AdvanceTicketing getAdvanceTicketing() {
            return advanceTicketing;
        }

        /** 
         * Set the 'AdvanceTicketing' element value.
         * 
         * @param advanceTicketing
         */
        public void setAdvanceTicketing(AdvanceTicketing advanceTicketing) {
            this.advanceTicketing = advanceTicketing;
        }

        /** 
         * Get the 'MinimumStay' element value.
         * 
         * @return value
         */
        public MinimumStay getMinimumStay() {
            return minimumStay;
        }

        /** 
         * Set the 'MinimumStay' element value.
         * 
         * @param minimumStay
         */
        public void setMinimumStay(MinimumStay minimumStay) {
            this.minimumStay = minimumStay;
        }

        /** 
         * Get the 'MaximumStay' element value.
         * 
         * @return value
         */
        public MaximumStay getMaximumStay() {
            return maximumStay;
        }

        /** 
         * Set the 'MaximumStay' element value.
         * 
         * @param maximumStay
         */
        public void setMaximumStay(MaximumStay maximumStay) {
            this.maximumStay = maximumStay;
        }
    }
}
