
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * OFFER ITEM IN ORDER definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrderOfferItemType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:KeyWithMetaObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:OfferItemID"/>
 *         &lt;xs:element ref="ns:OfferItemType"/>
 *         &lt;xs:element type="ns:OfferItemTimeLimitSetType" name="TimeLimits" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrderOfferItemType extends KeyWithMetaObjectBaseType implements
    Serializable
{
    private OfferItemID offerItemID;
    private OfferItemType offerItemType;
    private OfferItemTimeLimitSetType timeLimits;

    /** 
     * Get the 'OfferItemID' element value.
     * 
     * @return value
     */
    public OfferItemID getOfferItemID() {
        return offerItemID;
    }

    /** 
     * Set the 'OfferItemID' element value.
     * 
     * @param offerItemID
     */
    public void setOfferItemID(OfferItemID offerItemID) {
        this.offerItemID = offerItemID;
    }

    /** 
     * Get the 'OfferItemType' element value.
     * 
     * @return value
     */
    public OfferItemType getOfferItemType() {
        return offerItemType;
    }

    /** 
     * Set the 'OfferItemType' element value.
     * 
     * @param offerItemType
     */
    public void setOfferItemType(OfferItemType offerItemType) {
        this.offerItemType = offerItemType;
    }

    /** 
     * Get the 'TimeLimits' element value. 
                  Time Limits, including mandatory Offer Expiration and Payment Time Limits.
                
     * 
     * @return value
     */
    public OfferItemTimeLimitSetType getTimeLimits() {
        return timeLimits;
    }

    /** 
     * Set the 'TimeLimits' element value. 
                  Time Limits, including mandatory Offer Expiration and Payment Time Limits.
                
     * 
     * @param timeLimits
     */
    public void setTimeLimits(OfferItemTimeLimitSetType timeLimits) {
        this.timeLimits = timeLimits;
    }
}
