
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Order Time Limits definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrderTimeLimitsType">
 *   &lt;xs:sequence>
 *     &lt;xs:element ref="ns:PaymentTimeLimit" minOccurs="0"/>
 *     &lt;xs:element ref="ns:DepositTimeLimit" minOccurs="0"/>
 *     &lt;xs:element ref="ns:NamingTimeLimit" minOccurs="0"/>
 *     &lt;xs:element ref="ns:BilateralTimeLimits" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrderTimeLimitsType implements Serializable
{
    private PaymentTimeLimit paymentTimeLimit;
    private DepositTimeLimit depositTimeLimit;
    private NamingTimeLimit namingTimeLimit;
    private BilateralTimeLimitsType bilateralTimeLimits;

    /** 
     * Get the 'PaymentTimeLimit' element value.
     * 
     * @return value
     */
    public PaymentTimeLimit getPaymentTimeLimit() {
        return paymentTimeLimit;
    }

    /** 
     * Set the 'PaymentTimeLimit' element value.
     * 
     * @param paymentTimeLimit
     */
    public void setPaymentTimeLimit(PaymentTimeLimit paymentTimeLimit) {
        this.paymentTimeLimit = paymentTimeLimit;
    }

    /** 
     * Get the 'DepositTimeLimit' element value.
     * 
     * @return value
     */
    public DepositTimeLimit getDepositTimeLimit() {
        return depositTimeLimit;
    }

    /** 
     * Set the 'DepositTimeLimit' element value.
     * 
     * @param depositTimeLimit
     */
    public void setDepositTimeLimit(DepositTimeLimit depositTimeLimit) {
        this.depositTimeLimit = depositTimeLimit;
    }

    /** 
     * Get the 'NamingTimeLimit' element value.
     * 
     * @return value
     */
    public NamingTimeLimit getNamingTimeLimit() {
        return namingTimeLimit;
    }

    /** 
     * Set the 'NamingTimeLimit' element value.
     * 
     * @param namingTimeLimit
     */
    public void setNamingTimeLimit(NamingTimeLimit namingTimeLimit) {
        this.namingTimeLimit = namingTimeLimit;
    }

    /** 
     * Get the 'BilateralTimeLimits' element value.
     * 
     * @return value
     */
    public BilateralTimeLimitsType getBilateralTimeLimits() {
        return bilateralTimeLimits;
    }

    /** 
     * Set the 'BilateralTimeLimits' element value.
     * 
     * @param bilateralTimeLimits
     */
    public void setBilateralTimeLimits(
            BilateralTimeLimitsType bilateralTimeLimits) {
        this.bilateralTimeLimits = bilateralTimeLimits;
    }
}
