
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * OTHER CONTACT METHOD definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OtherContactMethodType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:ContactCoreType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="xs:string" name="Name"/>
 *         &lt;xs:element type="xs:string" name="Value"/>
 *         &lt;xs:element type="xs:string" name="GroupName" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OtherContactMethodType extends ContactCoreType implements
    Serializable
{
    private String name;
    private String value;
    private String groupName;

    /** 
     * Get the 'Name' element value. Contact method name. Example: Marketing Website
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Contact method name. Example: Marketing Website
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'Value' element value. Method value. Example: www.marketingsite.com
     * 
     * @return value
     */
    public String getValue() {
        return value;
    }

    /** 
     * Set the 'Value' element value. Method value. Example: www.marketingsite.com
     * 
     * @param value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /** 
     * Get the 'GroupName' element value. Named contact group.  Example: John Smith Business
     * 
     * @return value
     */
    public String getGroupName() {
        return groupName;
    }

    /** 
     * Set the 'GroupName' element value. Named contact group.  Example: John Smith Business
     * 
     * @param groupName
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
}
