
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented PAYMENT CARD Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PaymentCardMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:PaymentCardMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class PaymentCardMetadatas implements Serializable
{
    private List<PaymentCardMetadataType> paymentCardMetadataList = new ArrayList<PaymentCardMetadataType>();

    /** 
     * Get the list of 'PaymentCardMetadata' element items.
     * 
     * @return list
     */
    public List<PaymentCardMetadataType> getPaymentCardMetadataList() {
        return paymentCardMetadataList;
    }

    /** 
     * Set the list of 'PaymentCardMetadata' element items.
     * 
     * @param list
     */
    public void setPaymentCardMetadataList(List<PaymentCardMetadataType> list) {
        paymentCardMetadataList = list;
    }
}
