
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented PAYMENT FORM Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PaymentFormMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:PaymentFormMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class PaymentFormMetadatas implements Serializable
{
    private List<PaymentFormMetadataType> paymentFormMetadataList = new ArrayList<PaymentFormMetadataType>();

    /** 
     * Get the list of 'PaymentFormMetadata' element items.
     * 
     * @return list
     */
    public List<PaymentFormMetadataType> getPaymentFormMetadataList() {
        return paymentFormMetadataList;
    }

    /** 
     * Set the list of 'PaymentFormMetadata' element items.
     * 
     * @param list
     */
    public void setPaymentFormMetadataList(List<PaymentFormMetadataType> list) {
        paymentFormMetadataList = list;
    }
}
