
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.math.BigDecimal;

/** 
 * Percentage Value relating to acceptable the total amount by which the Order item price can vary; OR the amount of a penalty. 

 Example: 20 USD, 2 Percent
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="xs:decimal" name="PercentageValue"/>
 * </pre>
 */
public class PercentageValue implements Serializable
{
    private BigDecimal percentageValue;

    /** 
     * Get the 'PercentageValue' element value.
     * 
     * @return value
     */
    public BigDecimal getPercentageValue() {
        return percentageValue;
    }

    /** 
     * Set the 'PercentageValue' element value.
     * 
     * @param percentageValue
     */
    public void setPercentageValue(BigDecimal percentageValue) {
        this.percentageValue = percentageValue;
    }
}
