
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Preference level and context.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:attributeGroup xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PreferenceAttrGroup">
 *   &lt;xs:attribute type="xs:string" use="optional" name="PreferencesLevel"/>
 *   &lt;xs:attribute type="xs:string" use="optional" name="PreferencesContext"/>
 * &lt;/xs:attributeGroup>
 * </pre>
 */
public class PreferenceAttrGroup implements Serializable
{
    private String preferencesLevel;
    private String preferencesContext;

    /** 
     * Get the 'PreferencesLevel' attribute value. Preference Level.  Example: Preferred, Required, Exclude, Other
     * 
     * @return value
     */
    public String getPreferencesLevel() {
        return preferencesLevel;
    }

    /** 
     * Set the 'PreferencesLevel' attribute value. Preference Level.  Example: Preferred, Required, Exclude, Other
     * 
     * @param preferencesLevel
     */
    public void setPreferencesLevel(String preferencesLevel) {
        this.preferencesLevel = preferencesLevel;
    }

    /** 
     * Get the 'PreferencesContext' attribute value. Preference Level Context.  Example: MyContext
     * 
     * @return value
     */
    public String getPreferencesContext() {
        return preferencesContext;
    }

    /** 
     * Set the 'PreferencesContext' attribute value. Preference Level Context.  Example: MyContext
     * 
     * @param preferencesContext
     */
    public void setPreferencesContext(String preferencesContext) {
        this.preferencesContext = preferencesContext;
    }
}
