
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Price Guarantee Time Limit value.
 Examples: 2017-05-30T09:00:00,  2015-01-13T13:59:38Z

 Note: This is the period for which an Offer price is guaranteed. On expiry an Offer may be re-priced up to the point an accountable document is issued. A Price Guarantee cannot extend beyond the Offer Time Limit unless the Order has been created. 
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="ns:KeyWithMetaObjectBaseType" name="PriceGuaranteeTimeLimits"/>
 * </pre>
 */
public class PriceGuaranteeTimeLimits extends KeyWithMetaObjectBaseType
    implements Serializable
{
}
