
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented PRICE Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PriceMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:PriceMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class PriceMetadatas implements Serializable
{
    private List<PriceMetadata> priceMetadataList = new ArrayList<PriceMetadata>();

    /** 
     * Get the list of 'PriceMetadata' element items.
     * 
     * @return list
     */
    public List<PriceMetadata> getPriceMetadataList() {
        return priceMetadataList;
    }

    /** 
     * Set the list of 'PriceMetadata' element items.
     * 
     * @param list
     */
    public void setPriceMetadataList(List<PriceMetadata> list) {
        priceMetadataList = list;
    }
}
