
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Priced Flight Offer Association definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PricedFlightOfferAssocType">
 *   &lt;xs:sequence>
 *     &lt;xs:element ref="ns:AssociatedTraveler" minOccurs="0"/>
 *     &lt;xs:element ref="ns:ApplicableFlight" minOccurs="0"/>
 *     &lt;xs:element name="PriceClass" minOccurs="0">
 *       &lt;xs:complexType>
 *         &lt;xs:sequence>
 *           &lt;xs:element ref="ns:PriceClassReference"/>
 *         &lt;/xs:sequence>
 *       &lt;/xs:complexType>
 *     &lt;/xs:element>
 *     &lt;xs:element ref="ns:OfferDetailAssociation" minOccurs="0"/>
 *     &lt;xs:element ref="ns:IncludedService" minOccurs="0"/>
 *     &lt;xs:element ref="ns:AssociatedService" minOccurs="0"/>
 *     &lt;xs:element ref="ns:OtherAssociation" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PricedFlightOfferAssocType implements Serializable
{
    private TravelerInfoAssocType associatedTraveler;
    private FlightInfoAssocType applicableFlight;
    private PriceClassReference priceClass;
    private OfferDetailInfoAssocType offerDetailAssociation;
    private IncludedService includedService;
    private AssociatedService associatedService;
    private OtherOfferAssocType otherAssociation;

    /** 
     * Get the 'AssociatedTraveler' element value.
     * 
     * @return value
     */
    public TravelerInfoAssocType getAssociatedTraveler() {
        return associatedTraveler;
    }

    /** 
     * Set the 'AssociatedTraveler' element value.
     * 
     * @param associatedTraveler
     */
    public void setAssociatedTraveler(TravelerInfoAssocType associatedTraveler) {
        this.associatedTraveler = associatedTraveler;
    }

    /** 
     * Get the 'ApplicableFlight' element value.
     * 
     * @return value
     */
    public FlightInfoAssocType getApplicableFlight() {
        return applicableFlight;
    }

    /** 
     * Set the 'ApplicableFlight' element value.
     * 
     * @param applicableFlight
     */
    public void setApplicableFlight(FlightInfoAssocType applicableFlight) {
        this.applicableFlight = applicableFlight;
    }

    /** 
     * Get the 'PriceClassReference' element value. Associated Price Class information.
     * 
     * @return value
     */
    public PriceClassReference getPriceClass() {
        return priceClass;
    }

    /** 
     * Set the 'PriceClassReference' element value. Associated Price Class information.
     * 
     * @param priceClass
     */
    public void setPriceClass(PriceClassReference priceClass) {
        this.priceClass = priceClass;
    }

    /** 
     * Get the 'OfferDetailAssociation' element value.
     * 
     * @return value
     */
    public OfferDetailInfoAssocType getOfferDetailAssociation() {
        return offerDetailAssociation;
    }

    /** 
     * Set the 'OfferDetailAssociation' element value.
     * 
     * @param offerDetailAssociation
     */
    public void setOfferDetailAssociation(
            OfferDetailInfoAssocType offerDetailAssociation) {
        this.offerDetailAssociation = offerDetailAssociation;
    }

    /** 
     * Get the 'IncludedService' element value. Included Optional Service(s).
     * 
     * @return value
     */
    public IncludedService getIncludedService() {
        return includedService;
    }

    /** 
     * Set the 'IncludedService' element value. Included Optional Service(s).
     * 
     * @param includedService
     */
    public void setIncludedService(IncludedService includedService) {
        this.includedService = includedService;
    }

    /** 
     * Get the 'AssociatedService' element value.
     * 
     * @return value
     */
    public AssociatedService getAssociatedService() {
        return associatedService;
    }

    /** 
     * Set the 'AssociatedService' element value.
     * 
     * @param associatedService
     */
    public void setAssociatedService(AssociatedService associatedService) {
        this.associatedService = associatedService;
    }

    /** 
     * Get the 'OtherAssociation' element value.
     * 
     * @return value
     */
    public OtherOfferAssocType getOtherAssociation() {
        return otherAssociation;
    }

    /** 
     * Set the 'OtherAssociation' element value.
     * 
     * @param otherAssociation
     */
    public void setOtherAssociation(OtherOfferAssocType otherAssociation) {
        this.otherAssociation = otherAssociation;
    }
}
