
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pricing-related Metadata, including Discount.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Pricing">
 *   &lt;xs:complexType>
 *     &lt;xs:choice>
 *       &lt;xs:element ref="ns:DiscountMetadatas" maxOccurs="unbounded"/>
 *     &lt;/xs:choice>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class Pricing implements Serializable
{
    private List<DiscountMetadatas> discountMetadataList = new ArrayList<DiscountMetadatas>();

    /** 
     * Get the list of 'DiscountMetadatas' element items.
     * 
     * @return list
     */
    public List<DiscountMetadatas> getDiscountMetadataList() {
        return discountMetadataList;
    }

    /** 
     * Set the list of 'DiscountMetadatas' element items.
     * 
     * @param list
     */
    public void setDiscountMetadataList(List<DiscountMetadatas> list) {
        discountMetadataList = list;
    }
}
