
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Recognized Traveler data list definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RecognizedTravelerList">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:RecognizedTraveler" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class RecognizedTravelerList implements Serializable
{
    private List<TravelerDetailType> recognizedTravelerList = new ArrayList<TravelerDetailType>();

    /** 
     * Get the list of 'RecognizedTraveler' element items. RECOGNIZED (AUTHENTICATED) TRAVELER.
     * 
     * @return list
     */
    public List<TravelerDetailType> getRecognizedTravelerList() {
        return recognizedTravelerList;
    }

    /** 
     * Set the list of 'RecognizedTraveler' element items. RECOGNIZED (AUTHENTICATED) TRAVELER.
     * 
     * @param list
     */
    public void setRecognizedTravelerList(List<TravelerDetailType> list) {
        recognizedTravelerList = list;
    }
}
