
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for RETAILER Message Party Representation.

 Notes:
 1. Derived from RetailerType.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RetailerMsgPartyCoreType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:RetailerType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:AgentUser" minOccurs="0"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RetailerMsgPartyCoreType extends RetailerType implements
    Serializable
{
    private AgentUser agentUser;

    /** 
     * Get the 'AgentUser' element value. Retail Supplier Agent User information.
     * 
     * @return value
     */
    public AgentUser getAgentUser() {
        return agentUser;
    }

    /** 
     * Set the 'AgentUser' element value. Retail Supplier Agent User information.
     * 
     * @param agentUser
     */
    public void setAgentUser(AgentUser agentUser) {
        this.agentUser = agentUser;
    }
}
