
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for Intermediary to Intermediary Role Association.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RoleOfIntermediaryReferenceType">
 *   &lt;xs:attribute type="xs:string" use="required" name="supplier_ref"/>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RoleOfIntermediaryReferenceType implements Serializable
{
    private String supplierRef;

    /** 
     * Get the 'supplier_ref' attribute value. Association link to Supplier object instance.  Example: supplier1

    Note: This is the @id specified in a Supplier object instance.
     * 
     * @return value
     */
    public String getSupplierRef() {
        return supplierRef;
    }

    /** 
     * Set the 'supplier_ref' attribute value. Association link to Supplier object instance.  Example: supplier1

    Note: This is the @id specified in a Supplier object instance.
     * 
     * @param supplierRef
     */
    public void setSupplierRef(String supplierRef) {
        this.supplierRef = supplierRef;
    }
}
