
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Element to associate seat to a Traveler and s flight segment.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SeatAssociation">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:SegmentReferences"/>
 *       &lt;xs:element ref="ns:TravelerReference"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class SeatAssociation implements Serializable
{
    private SegmentReferences segmentReferences;
    private TravelerReference travelerReference;

    /** 
     * Get the 'SegmentReferences' element value.
     * 
     * @return value
     */
    public SegmentReferences getSegmentReferences() {
        return segmentReferences;
    }

    /** 
     * Set the 'SegmentReferences' element value.
     * 
     * @param segmentReferences
     */
    public void setSegmentReferences(SegmentReferences segmentReferences) {
        this.segmentReferences = segmentReferences;
    }

    /** 
     * Get the 'TravelerReference' element value.
     * 
     * @return value
     */
    public TravelerReference getTravelerReference() {
        return travelerReference;
    }

    /** 
     * Set the 'TravelerReference' element value.
     * 
     * @param travelerReference
     */
    public void setTravelerReference(TravelerReference travelerReference) {
        this.travelerReference = travelerReference;
    }
}
