
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented SEAT Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SeatMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:SeatMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class SeatMetadatas implements Serializable
{
    private List<SeatMetadataType> seatMetadataList = new ArrayList<SeatMetadataType>();

    /** 
     * Get the list of 'SeatMetadata' element items.
     * 
     * @return list
     */
    public List<SeatMetadataType> getSeatMetadataList() {
        return seatMetadataList;
    }

    /** 
     * Set the list of 'SeatMetadata' element items.
     * 
     * @param list
     */
    public void setSeatMetadataList(List<SeatMetadataType> list) {
        seatMetadataList = list;
    }
}
