
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * OPTIONAL SERVICE DETAIL definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceDetailType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:ServiceCoreType">
 *       &lt;xs:sequence>
 *         &lt;xs:element name="Detail" minOccurs="0">
 *           &lt;!-- Reference to inner class Detail -->
 *         &lt;/xs:element>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ServiceDetailType extends ServiceCoreType implements Serializable
{
    private Detail detail;

    /** 
     * Get the 'Detail' element value.
     * 
     * @return value
     */
    public Detail getDetail() {
        return detail;
    }

    /** 
     * Set the 'Detail' element value.
     * 
     * @param detail
     */
    public void setDetail(Detail detail) {
        this.detail = detail;
    }
    /** 
     * Detailed Service information, including Service Bundle,  Service Combinations, Service Coupon, Service Fulfillment and Service Quantity Rules.
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Detail" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element ref="ns:ServiceCombinations" minOccurs="0"/>
     *       &lt;xs:element ref="ns:ServiceCoupon" minOccurs="0"/>
     *       &lt;xs:element ref="ns:ServiceFulfillment" minOccurs="0"/>
     *       &lt;xs:element ref="ns:ServiceItemQuantityRules" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class Detail implements Serializable
    {
        private ServiceCombinationType serviceCombinations;
        private ServiceCouponType serviceCoupon;
        private ServiceFulfillmentType serviceFulfillment;
        private ServiceItemQuantityType serviceItemQuantityRules;

        /** 
         * Get the 'ServiceCombinations' element value.
         * 
         * @return value
         */
        public ServiceCombinationType getServiceCombinations() {
            return serviceCombinations;
        }

        /** 
         * Set the 'ServiceCombinations' element value.
         * 
         * @param serviceCombinations
         */
        public void setServiceCombinations(
                ServiceCombinationType serviceCombinations) {
            this.serviceCombinations = serviceCombinations;
        }

        /** 
         * Get the 'ServiceCoupon' element value.
         * 
         * @return value
         */
        public ServiceCouponType getServiceCoupon() {
            return serviceCoupon;
        }

        /** 
         * Set the 'ServiceCoupon' element value.
         * 
         * @param serviceCoupon
         */
        public void setServiceCoupon(ServiceCouponType serviceCoupon) {
            this.serviceCoupon = serviceCoupon;
        }

        /** 
         * Get the 'ServiceFulfillment' element value.
         * 
         * @return value
         */
        public ServiceFulfillmentType getServiceFulfillment() {
            return serviceFulfillment;
        }

        /** 
         * Set the 'ServiceFulfillment' element value.
         * 
         * @param serviceFulfillment
         */
        public void setServiceFulfillment(
                ServiceFulfillmentType serviceFulfillment) {
            this.serviceFulfillment = serviceFulfillment;
        }

        /** 
         * Get the 'ServiceItemQuantityRules' element value.
         * 
         * @return value
         */
        public ServiceItemQuantityType getServiceItemQuantityRules() {
            return serviceItemQuantityRules;
        }

        /** 
         * Set the 'ServiceItemQuantityRules' element value.
         * 
         * @param serviceItemQuantityRules
         */
        public void setServiceItemQuantityRules(
                ServiceItemQuantityType serviceItemQuantityRules) {
            this.serviceItemQuantityRules = serviceItemQuantityRules;
        }
    }
}
