
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented STATE/ PROVINCE Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StateProvMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:StateProvMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class StateProvMetadatas implements Serializable
{
    private List<StateProvMetadataType> stateProvMetadataList = new ArrayList<StateProvMetadataType>();

    /** 
     * Get the list of 'StateProvMetadata' element items.
     * 
     * @return list
     */
    public List<StateProvMetadataType> getStateProvMetadataList() {
        return stateProvMetadataList;
    }

    /** 
     * Set the list of 'StateProvMetadata' element items.
     * 
     * @param list
     */
    public void setStateProvMetadataList(List<StateProvMetadataType> list) {
        stateProvMetadataList = list;
    }
}
