
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.Date;

/** 
 * Offer/ Offer Item: TICKET BY Time Limit definition.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TicketByTimeLimitType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:AssociatedObjectBaseType">
 *       &lt;xs:sequence>
 *         &lt;xs:element type="xs:dateTime" name="TicketBy"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TicketByTimeLimitType extends AssociatedObjectBaseType implements
    Serializable
{
    private Date ticketBy;

    /** 
     * Get the 'TicketBy' element value. Ticketing By Time Limit.  
    Example: 2017-05-30T09:00:00

    DEPRECATON NOTICE: 
    This element will be deprecated in the 2015.1 publication.

    Notes: This is not the Offer Expiration Time Limit that applies to offers in a shopping response. This is the date/ time when a ticket-associated offer must be ticketed, e.g. applicable to booking versus shopping. It has been left in the specification for backwards compatibility
     * 
     * @return value
     */
    public Date getTicketBy() {
        return ticketBy;
    }

    /** 
     * Set the 'TicketBy' element value. Ticketing By Time Limit.  
    Example: 2017-05-30T09:00:00

    DEPRECATON NOTICE: 
    This element will be deprecated in the 2015.1 publication.

    Notes: This is not the Offer Expiration Time Limit that applies to offers in a shopping response. This is the date/ time when a ticket-associated offer must be ticketed, e.g. applicable to booking versus shopping. It has been left in the specification for backwards compatibility
     * 
     * @param ticketBy
     */
    public void setTicketBy(Date ticketBy) {
        this.ticketBy = ticketBy;
    }
}
