
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Ticketing Time Limit value.
 Examples: 2017-05-30T09:00:00,  2015-01-13T13:59:38Z

 The time by which passengers must secure tickets (or other accountable documents) for confirmed reservation as agreed with the airline. Passengers meet this requirement by purchasing a ticket (or other accountable document) which indicates the reserved services, or by having previously issued documents revalidated or reissued to reflect the reservation.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" type="ns:KeyWithMetaObjectBaseType" name="TicketingTimeLimits"/>
 * </pre>
 */
public class TicketingTimeLimits extends KeyWithMetaObjectBaseType implements
    Serializable
{
}
