
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for TRAVEL AGENCY Seller Role, Core Representation.

 Notes:
 1. This is a representation of common (role-agnostic) properties associated with this Actor definition.
 2. This type is used as (derived) base type for all Roles associated with this Actor.
 3. This type is derived from AgencyCoreRepType.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelAgencyType">
 *   &lt;xs:complexContent>
 *     &lt;xs:extension base="ns:AgencyCoreRepType">
 *       &lt;xs:sequence>
 *         &lt;xs:element ref="ns:AgencyID"/>
 *       &lt;/xs:sequence>
 *     &lt;/xs:extension>
 *   &lt;/xs:complexContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TravelAgencyType extends AgencyCoreRepType implements Serializable
{
    private AgencyID agencyID;

    /** 
     * Get the 'AgencyID' element value.
     * 
     * @return value
     */
    public AgencyID getAgencyID() {
        return agencyID;
    }

    /** 
     * Set the 'AgencyID' element value.
     * 
     * @param agencyID
     */
    public void setAgencyID(AgencyID agencyID) {
        this.agencyID = agencyID;
    }
}
