
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * Traveler information, including name, passenger type and contact.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelerInfo">
 *   &lt;xs:complexType>
 *     &lt;xs:complexContent>
 *       &lt;xs:extension base="ns:CouponTravelerDetailType">
 *         &lt;xs:sequence>
 *           &lt;xs:element ref="ns:ServiceReferences" minOccurs="0"/>
 *         &lt;/xs:sequence>
 *       &lt;/xs:extension>
 *     &lt;/xs:complexContent>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class TravelerInfo extends CouponTravelerDetailType implements
    Serializable
{
    private ServiceReferences serviceReferences;

    /** 
     * Get the 'ServiceReferences' element value.
     * 
     * @return value
     */
    public ServiceReferences getServiceReferences() {
        return serviceReferences;
    }

    /** 
     * Set the 'ServiceReferences' element value.
     * 
     * @param serviceReferences
     */
    public void setServiceReferences(ServiceReferences serviceReferences) {
        this.serviceReferences = serviceReferences;
    }
}
