
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;

/** 
 * A data type for Effective/ Expiration Year Date Period Representation.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="YearPeriodRepType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Effective" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="Expiration" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class YearPeriodRepType implements Serializable
{
    private String effective;
    private String expiration;

    /** 
     * Get the 'Effective' element value. Effective (start) year.
    Example: 2014
     * 
     * @return value
     */
    public String getEffective() {
        return effective;
    }

    /** 
     * Set the 'Effective' element value. Effective (start) year.
    Example: 2014
     * 
     * @param effective
     */
    public void setEffective(String effective) {
        this.effective = effective;
    }

    /** 
     * Get the 'Expiration' element value. Expiration (end) year.
    Example: 2016
     * 
     * @return value
     */
    public String getExpiration() {
        return expiration;
    }

    /** 
     * Set the 'Expiration' element value. Expiration (end) year.
    Example: 2016
     * 
     * @param expiration
     */
    public void setExpiration(String expiration) {
        this.expiration = expiration;
    }
}
