
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel050;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Pre-defined and Augmented ZONE Metadata.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://www.iata.org/IATA/EDIST" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ZoneMetadatas">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element ref="ns:ZoneMetadata" maxOccurs="unbounded"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class ZoneMetadatas implements Serializable
{
    private List<ZoneMetadataType> zoneMetadataList = new ArrayList<ZoneMetadataType>();

    /** 
     * Get the list of 'ZoneMetadata' element items.
     * 
     * @return list
     */
    public List<ZoneMetadataType> getZoneMetadataList() {
        return zoneMetadataList;
    }

    /** 
     * Set the list of 'ZoneMetadata' element items.
     * 
     * @param list
     */
    public void setZoneMetadataList(List<ZoneMetadataType> list) {
        zoneMetadataList = list;
    }
}
