
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;

/** 
 * A piece of luggage associated with a passenger, packed for traveling, and necessary or appropriate in connection with a journey.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BagType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:BagDimensionType" name="BagDimension" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:BagTagType" name="BagTag" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class BagType implements Serializable
{
    private BagDimensionType bagDimension;
    private BagTagType bagTag;

    /** 
     * Get the 'BagDimension' element value. A measurable extent of a particular bag, such as length, or height.
     * 
     * @return value
     */
    public BagDimensionType getBagDimension() {
        return bagDimension;
    }

    /** 
     * Set the 'BagDimension' element value. A measurable extent of a particular bag, such as length, or height.
     * 
     * @param bagDimension
     */
    public void setBagDimension(BagDimensionType bagDimension) {
        this.bagDimension = bagDimension;
    }

    /** 
     * Get the 'BagTag' element value. A small piece of paper, fabric, plastic or similar material attached to an bag and giving information about it.
     * 
     * @return value
     */
    public BagTagType getBagTag() {
        return bagTag;
    }

    /** 
     * Set the 'BagTag' element value. A small piece of paper, fabric, plastic or similar material attached to an bag and giving information about it.
     * 
     * @param bagTag
     */
    public void setBagTag(BagTagType bagTag) {
        this.bagTag = bagTag;
    }
}
