
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * NDC-enabled system.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="EnabledSystemType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ContactInfoRefID" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="SystemID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class EnabledSystemType implements Serializable
{
    private List<String> contactInfoRefIDList = new ArrayList<String>();
    private String name;
    private String systemID;

    /** 
     * Get the list of 'ContactInfoRefID' element items. Reference to a ContactInfoID
     * 
     * @return list
     */
    public List<String> getContactInfoRefIDList() {
        return contactInfoRefIDList;
    }

    /** 
     * Set the list of 'ContactInfoRefID' element items. Reference to a ContactInfoID
     * 
     * @param list
     */
    public void setContactInfoRefIDList(List<String> list) {
        contactInfoRefIDList = list;
    }

    /** 
     * Get the 'Name' element value. Name of the enabled system.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Name of the enabled system.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'SystemID' element value. Identifier of the enabled system.
     * 
     * @return value
     */
    public String getSystemID() {
        return systemID;
    }

    /** 
     * Set the 'SystemID' element value. Identifier of the enabled system.
     * 
     * @param systemID
     */
    public void setSystemID(String systemID) {
        this.systemID = systemID;
    }
}
