
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;

/** 
 * Grouping of aircrafts with the same form, function and specification, currently flown, or soon to be flown. Possible types are defined in the IATA SSIM.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="IATA_AircraftTypeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="IATA_AircraftTypeCode" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class IATAAircraftTypeType implements Serializable
{
    private String IATAAircraftTypeCode;

    /** 
     * Get the 'IATA_AircraftTypeCode' element value. Code assigned to an aircraft type in IATA SSIM.
     * 
     * @return value
     */
    public String getIATAAircraftTypeCode() {
        return IATAAircraftTypeCode;
    }

    /** 
     * Set the 'IATA_AircraftTypeCode' element value. Code assigned to an aircraft type in IATA SSIM.
     * 
     * @param IATAAircraftTypeCode
     */
    public void setIATAAircraftTypeCode(String IATAAircraftTypeCode) {
        this.IATAAircraftTypeCode = IATAAircraftTypeCode;
    }
}
