
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Message wide metadata information.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MetadataType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:CodesetMetadataType" name="CodesetMetadata" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:FieldMetadataType" name="FieldMetadata" minOccurs="0" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MetadataType implements Serializable
{
    private List<CodesetMetadataType> codesetMetadataList = new ArrayList<CodesetMetadataType>();
    private List<FieldMetadataType> fieldMetadataList = new ArrayList<FieldMetadataType>();

    /** 
     * Get the list of 'CodesetMetadata' element items. Pre-defined code set metadata.
     * 
     * @return list
     */
    public List<CodesetMetadataType> getCodesetMetadataList() {
        return codesetMetadataList;
    }

    /** 
     * Set the list of 'CodesetMetadata' element items. Pre-defined code set metadata.
     * 
     * @param list
     */
    public void setCodesetMetadataList(List<CodesetMetadataType> list) {
        codesetMetadataList = list;
    }

    /** 
     * Get the list of 'FieldMetadata' element items. Defines implementation specific fields which should be populated.
     * 
     * @return list
     */
    public List<FieldMetadataType> getFieldMetadataList() {
        return fieldMetadataList;
    }

    /** 
     * Set the list of 'FieldMetadata' element items. Defines implementation specific fields which should be populated.
     * 
     * @param list
     */
    public void setFieldMetadataList(List<FieldMetadataType> list) {
        fieldMetadataList = list;
    }
}
