
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;

/** 
 * Use to select the quantity of Offer Items from the A La Carte Offer Items.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SelectedALaCarteOfferItemType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:FlightAssociationsType" name="FlightAssociations" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:QtyType" name="Qty" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SelectedALaCarteOfferItemType implements Serializable
{
    private FlightAssociationsType flightAssociations;
    private QtyType qty;

    /** 
     * Get the 'FlightAssociations' element value.
     * 
     * @return value
     */
    public FlightAssociationsType getFlightAssociations() {
        return flightAssociations;
    }

    /** 
     * Set the 'FlightAssociations' element value.
     * 
     * @param flightAssociations
     */
    public void setFlightAssociations(FlightAssociationsType flightAssociations) {
        this.flightAssociations = flightAssociations;
    }

    /** 
     * Get the 'Qty' element value. Quantity to allow the ordering of more than one instances of the related a la carte OfferItem.
     * 
     * @return value
     */
    public QtyType getQty() {
        return qty;
    }

    /** 
     * Set the 'Qty' element value. Quantity to allow the ordering of more than one instances of the related a la carte OfferItem.
     * 
     * @param qty
     */
    public void setQty(QtyType qty) {
        this.qty = qty;
    }
}
