
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;
import java.math.BigInteger;

/** 
 * This segment is designed to convey date/time in a structured way.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://xml.amadeus.com/QUQPCQ_03_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StructuredDateTimeInformationType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:integer" name="timeMode" minOccurs="0"/>
 *     &lt;xs:element type="ns:StructuredDateTimeType" name="dateTime" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class StructuredDateTimeInformationType implements Serializable
{
    private BigInteger timeMode;
    private StructuredDateTimeType dateTime;

    /** 
     * Get the 'timeMode' element value. used to select the date range
     * 
     * @return value
     */
    public BigInteger getTimeMode() {
        return timeMode;
    }

    /** 
     * Set the 'timeMode' element value. used to select the date range
     * 
     * @param timeMode
     */
    public void setTimeMode(BigInteger timeMode) {
        this.timeMode = timeMode;
    }

    /** 
     * Get the 'dateTime' element value. Convey date and/or time.
     * 
     * @return value
     */
    public StructuredDateTimeType getDateTime() {
        return dateTime;
    }

    /** 
     * Set the 'dateTime' element value. Convey date and/or time.
     * 
     * @param dateTime
     */
    public void setDateTime(StructuredDateTimeType dateTime) {
        this.dateTime = dateTime;
    }
}
