
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rq;

import java.io.Serializable;

/** 
 * Function to Add, Remove or Update the Passenger Details. Providing the New and Previous values together implies an Update.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderChangeRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="UpdatePaxType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:PaxRefType" name="Current" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:PaxRefType" name="New" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class UpdatePaxType implements Serializable
{
    private PaxRefType current;
    private PaxRefType _new;

    /** 
     * Get the 'Current' element value. Any person except members of the crew carried or to be carried with the consent of the carrier, on board of any transport vehicle such as aircraft, train, bus, ship. Holds the attributes specific to a one booking, from shopping to fulfillment.
     * 
     * @return value
     */
    public PaxRefType getCurrent() {
        return current;
    }

    /** 
     * Set the 'Current' element value. Any person except members of the crew carried or to be carried with the consent of the carrier, on board of any transport vehicle such as aircraft, train, bus, ship. Holds the attributes specific to a one booking, from shopping to fulfillment.
     * 
     * @param current
     */
    public void setCurrent(PaxRefType current) {
        this.current = current;
    }

    /** 
     * Get the 'New' element value. Any person except members of the crew carried or to be carried with the consent of the carrier, on board of any transport vehicle such as aircraft, train, bus, ship. Holds the attributes specific to a one booking, from shopping to fulfillment.
     * 
     * @return value
     */
    public PaxRefType getNew() {
        return _new;
    }

    /** 
     * Set the 'New' element value. Any person except members of the crew carried or to be carried with the consent of the carrier, on board of any transport vehicle such as aircraft, train, bus, ship. Holds the attributes specific to a one booking, from shopping to fulfillment.
     * 
     * @param _new
     */
    public void setNew(PaxRefType _new) {
        this._new = _new;
    }
}
