
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * An exit/entry from an airport building to an aircraft. Could for example be a boarding gate, arrival gate, departing gate etc.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="BoardingGateType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="BoardingGateID" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class BoardingGateType implements Serializable
{
    private String boardingGateID;

    /** 
     * Get the 'BoardingGateID' element value. Identifier of the gate. E.g. â€œA5â€&#157;.
     * 
     * @return value
     */
    public String getBoardingGateID() {
        return boardingGateID;
    }

    /** 
     * Set the 'BoardingGateID' element value. Identifier of the gate. E.g. â€œA5â€&#157;.
     * 
     * @param boardingGateID
     */
    public void setBoardingGateID(String boardingGateID) {
        this.boardingGateID = boardingGateID;
    }
}
