
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * An operation between board point and any subsequent off point within the same flight designator. Could be one or more legs. Could also be used for other transport vehicles such as train or bus etc.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DatedOperatingSegmentType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="CarrierDesigCode" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="CarrierName" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="DisclosureRefID" minOccurs="0"/>
 *     &lt;xs:element type="xs:string" name="OperatingCarrierFlightNumberText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OperationalSuffixText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="RBD_Code" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="StatusCode" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DatedOperatingSegmentType implements Serializable
{
    private String carrierDesigCode;
    private String carrierName;
    private String disclosureRefID;
    private String operatingCarrierFlightNumberText;
    private String operationalSuffixText;
    private String RBDCode;
    private String statusCode;

    /** 
     * Get the 'CarrierDesigCode' element value. Airline code assigned to a carrier. Either ICAO-defined 3-character code or IATA-defined 2-character code.
     * 
     * @return value
     */
    public String getCarrierDesigCode() {
        return carrierDesigCode;
    }

    /** 
     * Set the 'CarrierDesigCode' element value. Airline code assigned to a carrier. Either ICAO-defined 3-character code or IATA-defined 2-character code.
     * 
     * @param carrierDesigCode
     */
    public void setCarrierDesigCode(String carrierDesigCode) {
        this.carrierDesigCode = carrierDesigCode;
    }

    /** 
     * Get the 'CarrierName' element value. Commercial name of the carrier.
     * 
     * @return value
     */
    public String getCarrierName() {
        return carrierName;
    }

    /** 
     * Set the 'CarrierName' element value. Commercial name of the carrier.
     * 
     * @param carrierName
     */
    public void setCarrierName(String carrierName) {
        this.carrierName = carrierName;
    }

    /** 
     * Get the 'DisclosureRefID' element value. References a Disclosure ID.
     * 
     * @return value
     */
    public String getDisclosureRefID() {
        return disclosureRefID;
    }

    /** 
     * Set the 'DisclosureRefID' element value. References a Disclosure ID.
     * 
     * @param disclosureRefID
     */
    public void setDisclosureRefID(String disclosureRefID) {
        this.disclosureRefID = disclosureRefID;
    }

    /** 
     * Get the 'OperatingCarrierFlightNumberText' element value. The numerical designation of a flight as it is operated by a carrier.
     * 
     * @return value
     */
    public String getOperatingCarrierFlightNumberText() {
        return operatingCarrierFlightNumberText;
    }

    /** 
     * Set the 'OperatingCarrierFlightNumberText' element value. The numerical designation of a flight as it is operated by a carrier.
     * 
     * @param operatingCarrierFlightNumberText
     */
    public void setOperatingCarrierFlightNumberText(
            String operatingCarrierFlightNumberText) {
        this.operatingCarrierFlightNumberText = operatingCarrierFlightNumberText;
    }

    /** 
     * Get the 'OperationalSuffixText' element value. Used to distinguish two flights having the same flight number and departing from their respective Origin Stations on the same date.
     * 
     * @return value
     */
    public String getOperationalSuffixText() {
        return operationalSuffixText;
    }

    /** 
     * Set the 'OperationalSuffixText' element value. Used to distinguish two flights having the same flight number and departing from their respective Origin Stations on the same date.
     * 
     * @param operationalSuffixText
     */
    public void setOperationalSuffixText(String operationalSuffixText) {
        this.operationalSuffixText = operationalSuffixText;
    }

    /** 
     * Get the 'RBD_Code' element value. Code used to identify a particular RBD (e.g. P, J, W, M, etc.).
     * 
     * @return value
     */
    public String getRBDCode() {
        return RBDCode;
    }

    /** 
     * Set the 'RBD_Code' element value. Code used to identify a particular RBD (e.g. P, J, W, M, etc.).
     * 
     * @param RBDCode
     */
    public void setRBDCode(String RBDCode) {
        this.RBDCode = RBDCode;
    }

    /** 
     * Get the 'StatusCode' element value. Flight Status, examples: SO, Flight Canceled.  Refer PADIS codeset  1245.
     * 
     * @return value
     */
    public String getStatusCode() {
        return statusCode;
    }

    /** 
     * Set the 'StatusCode' element value. Flight Status, examples: SO, Flight Canceled.  Refer PADIS codeset  1245.
     * 
     * @param statusCode
     */
    public void setStatusCode(String statusCode) {
        this.statusCode = statusCode;
    }
}
