
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * An account or representation of the certain or major aspects, characteristics, or features of a person, object, or event.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DescType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="DescText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="MarkupStyleText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:MediaObjectType" name="MediaObject" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="URL" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DescType implements Serializable
{
    private String descText;
    private String markupStyleText;
    private MediaObjectType mediaObject;
    private String URL;

    /** 
     * Get the 'DescText' element value. Description text value.
     * 
     * @return value
     */
    public String getDescText() {
        return descText;
    }

    /** 
     * Set the 'DescText' element value. Description text value.
     * 
     * @param descText
     */
    public void setDescText(String descText) {
        this.descText = descText;
    }

    /** 
     * Get the 'MarkupStyleText' element value. Mark-up Style of the Description Text. Example: HTML
     * 
     * @return value
     */
    public String getMarkupStyleText() {
        return markupStyleText;
    }

    /** 
     * Set the 'MarkupStyleText' element value. Mark-up Style of the Description Text. Example: HTML
     * 
     * @param markupStyleText
     */
    public void setMarkupStyleText(String markupStyleText) {
        this.markupStyleText = markupStyleText;
    }

    /** 
     * Get the 'MediaObject' element value. Electronic documents, images, and other files which accompany and support some information.
     * 
     * @return value
     */
    public MediaObjectType getMediaObject() {
        return mediaObject;
    }

    /** 
     * Set the 'MediaObject' element value. Electronic documents, images, and other files which accompany and support some information.
     * 
     * @param mediaObject
     */
    public void setMediaObject(MediaObjectType mediaObject) {
        this.mediaObject = mediaObject;
    }

    /** 
     * Get the 'URL' element value. URL to description information source.
     * 
     * @return value
     */
    public String getURL() {
        return URL;
    }

    /** 
     * Set the 'URL' element value. URL to description information source.
     * 
     * @param URL
     */
    public void setURL(String URL) {
        this.URL = URL;
    }
}
