
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Information which should be made known.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DisclosureType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:DescType" name="Desc" minOccurs="1" maxOccurs="unbounded"/>
 *     &lt;xs:element type="xs:string" name="DisclosureID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DisclosureType implements Serializable
{
    private List<DescType> descList = new ArrayList<DescType>();
    private String disclosureID;

    /** 
     * Get the list of 'Desc' element items. An account or representation of the certain or major aspects, characteristics, or features of a person, object, or event.
     * 
     * @return list
     */
    public List<DescType> getDescList() {
        return descList;
    }

    /** 
     * Set the list of 'Desc' element items. An account or representation of the certain or major aspects, characteristics, or features of a person, object, or event.
     * 
     * @param list
     */
    public void setDescList(List<DescType> list) {
        descList = list;
    }

    /** 
     * Get the 'DisclosureID' element value. Uniquely Identifies a disclosure within the context of one message.
     * 
     * @return value
     */
    public String getDisclosureID() {
        return disclosureID;
    }

    /** 
     * Set the 'DisclosureID' element value. Uniquely Identifies a disclosure within the context of one message.
     * 
     * @param disclosureID
     */
    public void setDisclosureID(String disclosureID) {
        this.disclosureID = disclosureID;
    }
}
