
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * Excess baggage information displayed on a coupon.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ExcessBaggageType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:AmountType" name="Amount" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="ns:MeasureType" name="ExcessBaggageMeasure" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ExcessBaggageType implements Serializable
{
    private AmountType amount;
    private MeasureType excessBaggageMeasure;

    /** 
     * Get the 'Amount' element value. Excess baggage amount. Example: 100 USD.
     * 
     * @return value
     */
    public AmountType getAmount() {
        return amount;
    }

    /** 
     * Set the 'Amount' element value. Excess baggage amount. Example: 100 USD.
     * 
     * @param amount
     */
    public void setAmount(AmountType amount) {
        this.amount = amount;
    }

    /** 
     * Get the 'ExcessBaggageMeasure' element value. Excess baggage measure and associated Unit of Measurement (e.g. 10 kg).
     * 
     * @return value
     */
    public MeasureType getExcessBaggageMeasure() {
        return excessBaggageMeasure;
    }

    /** 
     * Set the 'ExcessBaggageMeasure' element value. Excess baggage measure and associated Unit of Measurement (e.g. 10 kg).
     * 
     * @param excessBaggageMeasure
     */
    public void setExcessBaggageMeasure(MeasureType excessBaggageMeasure) {
        this.excessBaggageMeasure = excessBaggageMeasure;
    }
}
