
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;
import java.math.BigDecimal;

/** 
 * A numeric value determining a length (linear dimension) along with the specified unit of measure.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="LengthMeasureType">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:decimal">
 *       &lt;xs:attribute type="ns:LengthUnitCodeContentType" use="optional" name="UnitCode"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class LengthMeasureType implements Serializable
{
    private BigDecimal decimal;
    private LengthUnitCodeContentType unitCode;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public BigDecimal getDecimal() {
        return decimal;
    }

    /** 
     * Set the extension value.
     * 
     * @param decimal
     */
    public void setDecimal(BigDecimal decimal) {
        this.decimal = decimal;
    }

    /** 
     * Get the 'UnitCode' attribute value.
     * 
     * @return value
     */
    public LengthUnitCodeContentType getUnitCode() {
        return unitCode;
    }

    /** 
     * Set the 'UnitCode' attribute value.
     * 
     * @param unitCode
     */
    public void setUnitCode(LengthUnitCodeContentType unitCode) {
        this.unitCode = unitCode;
    }
}
