
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Additional, supplementary information about the document or service.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MarketingMessageType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:DescType" name="Desc" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="ns:GeneralAssociationType" name="GeneralAssociation" minOccurs="0" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MarketingMessageType implements Serializable
{
    private DescType desc;
    private List<GeneralAssociationType> generalAssociationList = new ArrayList<GeneralAssociationType>();

    /** 
     * Get the 'Desc' element value. An account or representation of the certain or major aspects, characteristics, or features of a person, object, or event.
     * 
     * @return value
     */
    public DescType getDesc() {
        return desc;
    }

    /** 
     * Set the 'Desc' element value. An account or representation of the certain or major aspects, characteristics, or features of a person, object, or event.
     * 
     * @param desc
     */
    public void setDesc(DescType desc) {
        this.desc = desc;
    }

    /** 
     * Get the list of 'GeneralAssociation' element items.
     * 
     * @return list
     */
    public List<GeneralAssociationType> getGeneralAssociationList() {
        return generalAssociationList;
    }

    /** 
     * Set the list of 'GeneralAssociation' element items.
     * 
     * @param list
     */
    public void setGeneralAssociationList(List<GeneralAssociationType> list) {
        generalAssociationList = list;
    }
}
