
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * Order amendment information and action type.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrderAmendmentType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ActionContentType" name="ActionTypeCode" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="ns:RemarkType" name="Remark" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:TicketDocInfoType" name="TicketDocInfo" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrderAmendmentType implements Serializable
{
    private ActionContentType actionTypeCode;
    private RemarkType remark;
    private TicketDocInfoType ticketDocInfo;

    /** 
     * Get the 'ActionTypeCode' element value.
     * 
     * @return value
     */
    public ActionContentType getActionTypeCode() {
        return actionTypeCode;
    }

    /** 
     * Set the 'ActionTypeCode' element value.
     * 
     * @param actionTypeCode
     */
    public void setActionTypeCode(ActionContentType actionTypeCode) {
        this.actionTypeCode = actionTypeCode;
    }

    /** 
     * Get the 'Remark' element value. Additional, supplementary information about the document or service.
     * 
     * @return value
     */
    public RemarkType getRemark() {
        return remark;
    }

    /** 
     * Set the 'Remark' element value. Additional, supplementary information about the document or service.
     * 
     * @param remark
     */
    public void setRemark(RemarkType remark) {
        this.remark = remark;
    }

    /** 
     * Get the 'TicketDocInfo' element value. Information corresponding to a group of 1 to 4 Tickets for a single Origin Destination and a single Passenger.
     * 
     * @return value
     */
    public TicketDocInfoType getTicketDocInfo() {
        return ticketDocInfo;
    }

    /** 
     * Set the 'TicketDocInfo' element value. Information corresponding to a group of 1 to 4 Tickets for a single Origin Destination and a single Passenger.
     * 
     * @param ticketDocInfo
     */
    public void setTicketDocInfo(TicketDocInfoType ticketDocInfo) {
        this.ticketDocInfo = ticketDocInfo;
    }
}
