
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * response to queue removal of items
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:element xmlns:ns="http://xml.amadeus.com/QUQMDR_03_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Queue_RemoveItemReply">
 *   &lt;xs:complexType>
 *     &lt;xs:sequence>
 *       &lt;xs:element name="errorReturn" minOccurs="0">
 *         &lt;!-- Reference to inner class ErrorReturn -->
 *       &lt;/xs:element>
 *       &lt;xs:element type="ns:ResponseAnalysisDetailsTypeI" name="goodResponse" minOccurs="0"/>
 *     &lt;/xs:sequence>
 *   &lt;/xs:complexType>
 * &lt;/xs:element>
 * </pre>
 */
public class QueueRemoveItemReply implements Serializable
{
    private ErrorReturn errorReturn;
    private ResponseAnalysisDetailsTypeI goodResponse;

    /** 
     * Get the 'errorReturn' element value.
     * 
     * @return value
     */
    public ErrorReturn getErrorReturn() {
        return errorReturn;
    }

    /** 
     * Set the 'errorReturn' element value.
     * 
     * @param errorReturn
     */
    public void setErrorReturn(ErrorReturn errorReturn) {
        this.errorReturn = errorReturn;
    }

    /** 
     * Get the 'goodResponse' element value. good response to the message
     * 
     * @return value
     */
    public ResponseAnalysisDetailsTypeI getGoodResponse() {
        return goodResponse;
    }

    /** 
     * Set the 'goodResponse' element value. good response to the message
     * 
     * @param goodResponse
     */
    public void setGoodResponse(ResponseAnalysisDetailsTypeI goodResponse) {
        this.goodResponse = goodResponse;
    }
    /** 
     * use this group to return any error message
     * 
     * Schema fragment(s) for this class:
     * <pre>
     * &lt;xs:element xmlns:ns="http://xml.amadeus.com/QUQMDR_03_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="errorReturn" minOccurs="0">
     *   &lt;xs:complexType>
     *     &lt;xs:sequence>
     *       &lt;xs:element type="ns:ApplicationErrorInformationTypeI" name="errorDefinition"/>
     *       &lt;xs:element type="ns:FreeTextInformationType" name="errorText" minOccurs="0"/>
     *     &lt;/xs:sequence>
     *   &lt;/xs:complexType>
     * &lt;/xs:element>
     * </pre>
     */
    public static class ErrorReturn implements Serializable
    {
        private ApplicationErrorInformationTypeI1 errorDefinition;
        private FreeTextInformationType1 errorText;

        /** 
         * Get the 'errorDefinition' element value. returns the error code
         * 
         * @return value
         */
        public ApplicationErrorInformationTypeI1 getErrorDefinition() {
            return errorDefinition;
        }

        /** 
         * Set the 'errorDefinition' element value. returns the error code
         * 
         * @param errorDefinition
         */
        public void setErrorDefinition(
                ApplicationErrorInformationTypeI1 errorDefinition) {
            this.errorDefinition = errorDefinition;
        }

        /** 
         * Get the 'errorText' element value. contains the text of the error
         * 
         * @return value
         */
        public FreeTextInformationType1 getErrorText() {
            return errorText;
        }

        /** 
         * Set the 'errorText' element value. contains the text of the error
         * 
         * @param errorText
         */
        public void setErrorText(FreeTextInformationType1 errorText) {
            this.errorText = errorText;
        }
    }
}
