
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;
import java.math.BigDecimal;

/** 
 * A rate is a quantity, amount, frequency, or dimensionless factor, measured against an independent base unit, expressed as a quotient.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RateType">
 *   &lt;xs:simpleContent>
 *     &lt;xs:extension base="xs:decimal">
 *       &lt;xs:attribute type="xs:string" use="optional" name="BaseCurCode"/>
 *       &lt;xs:attribute type="xs:decimal" use="optional" name="BaseMultiplierValue"/>
 *       &lt;xs:attribute type="xs:string" use="optional" name="BaseUnitCode"/>
 *       &lt;xs:attribute type="xs:string" use="optional" name="CurCode"/>
 *       &lt;xs:attribute type="xs:string" use="optional" name="Format"/>
 *       &lt;xs:attribute type="xs:decimal" use="optional" name="MultiplierValue"/>
 *     &lt;/xs:extension>
 *   &lt;/xs:simpleContent>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RateType implements Serializable
{
    private BigDecimal decimal;
    private String baseCurCode;
    private BigDecimal baseMultiplierValue;
    private String baseUnitCode;
    private String curCode;
    private String format;
    private BigDecimal multiplierValue;

    /** 
     * Get the extension value.
     * 
     * @return value
     */
    public BigDecimal getDecimal() {
        return decimal;
    }

    /** 
     * Set the extension value.
     * 
     * @param decimal
     */
    public void setDecimal(BigDecimal decimal) {
        this.decimal = decimal;
    }

    /** 
     * Get the 'BaseCurCode' attribute value.
     * 
     * @return value
     */
    public String getBaseCurCode() {
        return baseCurCode;
    }

    /** 
     * Set the 'BaseCurCode' attribute value.
     * 
     * @param baseCurCode
     */
    public void setBaseCurCode(String baseCurCode) {
        this.baseCurCode = baseCurCode;
    }

    /** 
     * Get the 'BaseMultiplierValue' attribute value.
     * 
     * @return value
     */
    public BigDecimal getBaseMultiplierValue() {
        return baseMultiplierValue;
    }

    /** 
     * Set the 'BaseMultiplierValue' attribute value.
     * 
     * @param baseMultiplierValue
     */
    public void setBaseMultiplierValue(BigDecimal baseMultiplierValue) {
        this.baseMultiplierValue = baseMultiplierValue;
    }

    /** 
     * Get the 'BaseUnitCode' attribute value.
     * 
     * @return value
     */
    public String getBaseUnitCode() {
        return baseUnitCode;
    }

    /** 
     * Set the 'BaseUnitCode' attribute value.
     * 
     * @param baseUnitCode
     */
    public void setBaseUnitCode(String baseUnitCode) {
        this.baseUnitCode = baseUnitCode;
    }

    /** 
     * Get the 'CurCode' attribute value.
     * 
     * @return value
     */
    public String getCurCode() {
        return curCode;
    }

    /** 
     * Set the 'CurCode' attribute value.
     * 
     * @param curCode
     */
    public void setCurCode(String curCode) {
        this.curCode = curCode;
    }

    /** 
     * Get the 'Format' attribute value.
     * 
     * @return value
     */
    public String getFormat() {
        return format;
    }

    /** 
     * Set the 'Format' attribute value.
     * 
     * @param format
     */
    public void setFormat(String format) {
        this.format = format;
    }

    /** 
     * Get the 'MultiplierValue' attribute value.
     * 
     * @return value
     */
    public BigDecimal getMultiplierValue() {
        return multiplierValue;
    }

    /** 
     * Set the 'MultiplierValue' attribute value.
     * 
     * @param multiplierValue
     */
    public void setMultiplierValue(BigDecimal multiplierValue) {
        this.multiplierValue = multiplierValue;
    }
}
