
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * The instance of a specific flight or Service Definition as it has been offered (and eventually ordered and consumed) in the context of a specific Offer and/or Order.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="Service1Type">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="ServiceRefID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class Service1Type implements Serializable
{
    private String serviceRefID;

    /** 
     * Get the 'ServiceRefID' element value. Uniquely Identifies a Service within the context of one message.
     * 
     * @return value
     */
    public String getServiceRefID() {
        return serviceRefID;
    }

    /** 
     * Set the 'ServiceRefID' element value. Uniquely Identifies a Service within the context of one message.
     * 
     * @param serviceRefID
     */
    public void setServiceRefID(String serviceRefID) {
        this.serviceRefID = serviceRefID;
    }
}
