
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * shows the possible statuses of a service item
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:simpleType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ServiceBookingStatusContentType">
 *   &lt;xs:restriction base="xs:string">
 *     &lt;xs:enumeration value="CONFIRMED"/>
 *     &lt;xs:enumeration value="REQUESTED"/>
 *   &lt;/xs:restriction>
 * &lt;/xs:simpleType>
 * </pre>
 */
public enum ServiceBookingStatusContentType implements Serializable {
    /** 
     * Inventory owner confirms he is able to provide the Service.
     */
    CONFIRMED, /** 
                * OM requests the Service from the Inventory owner.
                */
    REQUESTED
}
