
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderChange.rs;

import java.io.Serializable;

/** 
 * Special service information
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderViewRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SpecialServiceType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:MeasureType" name="AddlDataMeasure" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="FreeText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:QtyType" name="Qty" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="SpecialServiceCode" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SpecialServiceType implements Serializable
{
    private MeasureType addlDataMeasure;
    private String freeText;
    private QtyType qty;
    private String specialServiceCode;

    /** 
     * Get the 'AddlDataMeasure' element value. Provides additional supporting measurement information in case the Special Service requires it.
     * 
     * @return value
     */
    public MeasureType getAddlDataMeasure() {
        return addlDataMeasure;
    }

    /** 
     * Set the 'AddlDataMeasure' element value. Provides additional supporting measurement information in case the Special Service requires it.
     * 
     * @param addlDataMeasure
     */
    public void setAddlDataMeasure(MeasureType addlDataMeasure) {
        this.addlDataMeasure = addlDataMeasure;
    }

    /** 
     * Get the 'FreeText' element value. Free text
     * 
     * @return value
     */
    public String getFreeText() {
        return freeText;
    }

    /** 
     * Set the 'FreeText' element value. Free text
     * 
     * @param freeText
     */
    public void setFreeText(String freeText) {
        this.freeText = freeText;
    }

    /** 
     * Get the 'Qty' element value. A quantity is a counted number of non-monetary units, possibly including fractions.
     * 
     * @return value
     */
    public QtyType getQty() {
        return qty;
    }

    /** 
     * Set the 'Qty' element value. A quantity is a counted number of non-monetary units, possibly including fractions.
     * 
     * @param qty
     */
    public void setQty(QtyType qty) {
        this.qty = qty;
    }

    /** 
     * Get the 'SpecialServiceCode' element value. Code that identifies the special service.
     * 
     * @return value
     */
    public String getSpecialServiceCode() {
        return specialServiceCode;
    }

    /** 
     * Set the 'SpecialServiceCode' element value. Code that identifies the special service.
     * 
     * @param specialServiceCode
     */
    public void setSpecialServiceCode(String specialServiceCode) {
        this.specialServiceCode = specialServiceCode;
    }
}
