
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rq;

import java.io.Serializable;

/** 
 * Date range used to filter responses.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderListRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="DateTimeRangeType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:DateTimeType" name="FromDateTime" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:DateTimeType" name="ToDateTime" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class DateTimeRangeType implements Serializable
{
    private DateTimeType fromDateTime;
    private DateTimeType toDateTime;

    /** 
     * Get the 'FromDateTime' element value. Beginning of date range criteria used to filter Order results.
     * 
     * @return value
     */
    public DateTimeType getFromDateTime() {
        return fromDateTime;
    }

    /** 
     * Set the 'FromDateTime' element value. Beginning of date range criteria used to filter Order results.
     * 
     * @param fromDateTime
     */
    public void setFromDateTime(DateTimeType fromDateTime) {
        this.fromDateTime = fromDateTime;
    }

    /** 
     * Get the 'ToDateTime' element value. End of date range criteria used to filter Order results.
     * 
     * @return value
     */
    public DateTimeType getToDateTime() {
        return toDateTime;
    }

    /** 
     * Set the 'ToDateTime' element value. End of date range criteria used to filter Order results.
     * 
     * @param toDateTime
     */
    public void setToDateTime(DateTimeType toDateTime) {
        this.toDateTime = toDateTime;
    }
}
