
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rq;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * An organized structure set up for a particular purpose, such as a business, government body, department, charity, or financial institution.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderListRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrgType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ContactInfoType" name="ContactInfo" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OrgID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrgType implements Serializable
{
    private List<ContactInfoType> contactInfoList = new ArrayList<ContactInfoType>();
    private String name;
    private String orgID;

    /** 
     * Get the list of 'ContactInfo' element items. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @return list
     */
    public List<ContactInfoType> getContactInfoList() {
        return contactInfoList;
    }

    /** 
     * Set the list of 'ContactInfo' element items. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @param list
     */
    public void setContactInfoList(List<ContactInfoType> list) {
        contactInfoList = list;
    }

    /** 
     * Get the 'Name' element value. Name of the organization
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Name of the organization
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'OrgID' element value. Organization code or identifier.
     * 
     * @return value
     */
    public String getOrgID() {
        return orgID;
    }

    /** 
     * Set the 'OrgID' element value. Organization code or identifier.
     * 
     * @param orgID
     */
    public void setOrgID(String orgID) {
        this.orgID = orgID;
    }
}
