
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rq;

import java.io.Serializable;

/** 
 * To specify point of sale information by party identification or location identification.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://xml.amadeus.com/QDQLRQ_11_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PointOfSaleInformationType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:PartyIdentifierTypeU" name="pointOfSale" minOccurs="0"/>
 *     &lt;xs:element type="ns:LocationTypeU" name="locationDetails" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PointOfSaleInformationType implements Serializable
{
    private PartyIdentifierTypeU pointOfSale;
    private LocationTypeU locationDetails;

    /** 
     * Get the 'pointOfSale' element value. Party identification.
     * 
     * @return value
     */
    public PartyIdentifierTypeU getPointOfSale() {
        return pointOfSale;
    }

    /** 
     * Set the 'pointOfSale' element value. Party identification.
     * 
     * @param pointOfSale
     */
    public void setPointOfSale(PartyIdentifierTypeU pointOfSale) {
        this.pointOfSale = pointOfSale;
    }

    /** 
     * Get the 'locationDetails' element value. Office id in case the party identifier is 1A.
     * 
     * @return value
     */
    public LocationTypeU getLocationDetails() {
        return locationDetails;
    }

    /** 
     * Set the 'locationDetails' element value. Office id in case the party identifier is 1A.
     * 
     * @param locationDetails
     */
    public void setLocationDetails(LocationTypeU locationDetails) {
        this.locationDetails = locationDetails;
    }
}
