
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rq;

import java.io.Serializable;

/** 
 * Filters results based on segment information.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderListRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="SegmentFilterCriteriaType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ArrivalFilterCriteriaType" name="Arrival" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="ns:DepFilterCriteriaType" name="Dep" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class SegmentFilterCriteriaType implements Serializable
{
    private ArrivalFilterCriteriaType arrival;
    private DepFilterCriteriaType dep;

    /** 
     * Get the 'Arrival' element value. Flight arrival information.
     * 
     * @return value
     */
    public ArrivalFilterCriteriaType getArrival() {
        return arrival;
    }

    /** 
     * Set the 'Arrival' element value. Flight arrival information.
     * 
     * @param arrival
     */
    public void setArrival(ArrivalFilterCriteriaType arrival) {
        this.arrival = arrival;
    }

    /** 
     * Get the 'Dep' element value. Flight departure information.
     * 
     * @return value
     */
    public DepFilterCriteriaType getDep() {
        return dep;
    }

    /** 
     * Set the 'Dep' element value. Flight departure information.
     * 
     * @param dep
     */
    public void setDep(DepFilterCriteriaType dep) {
        this.dep = dep;
    }
}
