
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rq;

import java.io.Serializable;

/** 
 * This segment is designed to convey period in a structured way.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://xml.amadeus.com/QDQLRQ_11_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="StructuredPeriodInformationType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:StructuredDateTimeType" name="beginDateTime"/>
 *     &lt;xs:element type="ns:StructuredDateTimeType" name="endDateTime" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class StructuredPeriodInformationType implements Serializable
{
    private StructuredDateTimeType beginDateTime;
    private StructuredDateTimeType endDateTime;

    /** 
     * Get the 'beginDateTime' element value. Convey the begin date/time of a period.
     * 
     * @return value
     */
    public StructuredDateTimeType getBeginDateTime() {
        return beginDateTime;
    }

    /** 
     * Set the 'beginDateTime' element value. Convey the begin date/time of a period.
     * 
     * @param beginDateTime
     */
    public void setBeginDateTime(StructuredDateTimeType beginDateTime) {
        this.beginDateTime = beginDateTime;
    }

    /** 
     * Get the 'endDateTime' element value. Convey the end date/time of a period.
     * 
     * @return value
     */
    public StructuredDateTimeType getEndDateTime() {
        return endDateTime;
    }

    /** 
     * Set the 'endDateTime' element value. Convey the end date/time of a period.
     * 
     * @param endDateTime
     */
    public void setEndDateTime(StructuredDateTimeType endDateTime) {
        this.endDateTime = endDateTime;
    }
}
