
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rs;

import java.io.Serializable;
import java.sql.Date;

/** 
 * Journey Arrival information related to the specified Order.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderListRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ArrivalType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:date" name="ArrivalDate" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="StationCode" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ArrivalType implements Serializable
{
    private Date arrivalDate;
    private String stationCode;

    /** 
     * Get the 'ArrivalDate' element value. Arrival date.
     * 
     * @return value
     */
    public Date getArrivalDate() {
        return arrivalDate;
    }

    /** 
     * Set the 'ArrivalDate' element value. Arrival date.
     * 
     * @param arrivalDate
     */
    public void setArrivalDate(Date arrivalDate) {
        this.arrivalDate = arrivalDate;
    }

    /** 
     * Get the 'StationCode' element value. Arrival station/airport.
     * 
     * @return value
     */
    public String getStationCode() {
        return stationCode;
    }

    /** 
     * Set the 'StationCode' element value. Arrival station/airport.
     * 
     * @param stationCode
     */
    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }
}
