
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rs;

import java.io.Serializable;
import java.math.BigDecimal;

/** 
 * NDC Message Document information.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderListRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="MessageDocType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:decimal" name="RefVersionNumber" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class MessageDocType implements Serializable
{
    private String name;
    private BigDecimal refVersionNumber;

    /** 
     * Get the 'Name' element value. Implementation Name. Example: ThisAirline Gateway
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Implementation Name. Example: ThisAirline Gateway
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'RefVersionNumber' element value. Framework Version. Example: SOAP 2015.1
     * 
     * @return value
     */
    public BigDecimal getRefVersionNumber() {
        return refVersionNumber;
    }

    /** 
     * Set the 'RefVersionNumber' element value. Framework Version. Example: SOAP 2015.1
     * 
     * @param refVersionNumber
     */
    public void setRefVersionNumber(BigDecimal refVersionNumber) {
        this.refVersionNumber = refVersionNumber;
    }
}
