
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderList.rs;

import java.io.Serializable;

/** 
 * To specify details related to a product.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://xml.amadeus.com/QDQLRR_11_1_1A" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="TravelProductInformationTypeI">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ProductDateTimeTypeI" name="flightDate" minOccurs="0"/>
 *     &lt;xs:element type="ns:LocationTypeI" name="boardPointDetails" minOccurs="0"/>
 *     &lt;xs:element type="ns:LocationTypeI" name="offpointDetails" minOccurs="0"/>
 *     &lt;xs:element type="ns:CompanyIdentificationTypeI" name="companyDetails" minOccurs="0"/>
 *     &lt;xs:element type="ns:ProductIdentificationDetailsTypeI" name="flightIdentification" minOccurs="0"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class TravelProductInformationTypeI implements Serializable
{
    private ProductDateTimeTypeI flightDate;
    private LocationTypeI boardPointDetails;
    private LocationTypeI offpointDetails;
    private CompanyIdentificationTypeI companyDetails;
    private ProductIdentificationDetailsTypeI flightIdentification;

    /** 
     * Get the 'flightDate' element value. departure date
     * 
     * @return value
     */
    public ProductDateTimeTypeI getFlightDate() {
        return flightDate;
    }

    /** 
     * Set the 'flightDate' element value. departure date
     * 
     * @param flightDate
     */
    public void setFlightDate(ProductDateTimeTypeI flightDate) {
        this.flightDate = flightDate;
    }

    /** 
     * Get the 'boardPointDetails' element value. board point
     * 
     * @return value
     */
    public LocationTypeI getBoardPointDetails() {
        return boardPointDetails;
    }

    /** 
     * Set the 'boardPointDetails' element value. board point
     * 
     * @param boardPointDetails
     */
    public void setBoardPointDetails(LocationTypeI boardPointDetails) {
        this.boardPointDetails = boardPointDetails;
    }

    /** 
     * Get the 'offpointDetails' element value. off point if present
     * 
     * @return value
     */
    public LocationTypeI getOffpointDetails() {
        return offpointDetails;
    }

    /** 
     * Set the 'offpointDetails' element value. off point if present
     * 
     * @param offpointDetails
     */
    public void setOffpointDetails(LocationTypeI offpointDetails) {
        this.offpointDetails = offpointDetails;
    }

    /** 
     * Get the 'companyDetails' element value. carrier code or segment type
     * 
     * @return value
     */
    public CompanyIdentificationTypeI getCompanyDetails() {
        return companyDetails;
    }

    /** 
     * Set the 'companyDetails' element value. carrier code or segment type
     * 
     * @param companyDetails
     */
    public void setCompanyDetails(CompanyIdentificationTypeI companyDetails) {
        this.companyDetails = companyDetails;
    }

    /** 
     * Get the 'flightIdentification' element value. flight number and suffix
     * 
     * @return value
     */
    public ProductIdentificationDetailsTypeI getFlightIdentification() {
        return flightIdentification;
    }

    /** 
     * Set the 'flightIdentification' element value. flight number and suffix
     * 
     * @param flightIdentification
     */
    public void setFlightIdentification(
            ProductIdentificationDetailsTypeI flightIdentification) {
        this.flightIdentification = flightIdentification;
    }
}
