
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rq;

import java.io.Serializable;

/** 
 * Total journey distance criteria.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="JourneyDistanceCriteriaType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:MeasureType" name="DistanceMeasure" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:PrefLevelCodeContentType" name="PrefCode" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class JourneyDistanceCriteriaType implements Serializable
{
    private MeasureType distanceMeasure;
    private PrefLevelCodeContentType prefCode;

    /** 
     * Get the 'DistanceMeasure' element value. Preferred distance for this Journey.
     * 
     * @return value
     */
    public MeasureType getDistanceMeasure() {
        return distanceMeasure;
    }

    /** 
     * Set the 'DistanceMeasure' element value. Preferred distance for this Journey.
     * 
     * @param distanceMeasure
     */
    public void setDistanceMeasure(MeasureType distanceMeasure) {
        this.distanceMeasure = distanceMeasure;
    }

    /** 
     * Get the 'PrefCode' element value. Level of preference requested.  Examples: Preferred, Required, or Exclude.
     * 
     * @return value
     */
    public PrefLevelCodeContentType getPrefCode() {
        return prefCode;
    }

    /** 
     * Set the 'PrefCode' element value. Level of preference requested.  Examples: Preferred, Required, or Exclude.
     * 
     * @param prefCode
     */
    public void setPrefCode(PrefLevelCodeContentType prefCode) {
        this.prefCode = prefCode;
    }
}
