
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rq;

import java.io.Serializable;

/** 
 * An organized structure set up for a particular purpose, such as a business, government body, department, charity, or financial institution.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="OrgType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ContactInfoType" name="ContactInfo" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="OrgID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class OrgType implements Serializable
{
    private ContactInfoType contactInfo;
    private String name;
    private String orgID;

    /** 
     * Get the 'ContactInfo' element value. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @return value
     */
    public ContactInfoType getContactInfo() {
        return contactInfo;
    }

    /** 
     * Set the 'ContactInfo' element value. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @param contactInfo
     */
    public void setContactInfo(ContactInfoType contactInfo) {
        this.contactInfo = contactInfo;
    }

    /** 
     * Get the 'Name' element value. Name of the organization
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Name of the organization
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'OrgID' element value. Organization code or identifier.
     * 
     * @return value
     */
    public String getOrgID() {
        return orgID;
    }

    /** 
     * Set the 'OrgID' element value. Organization code or identifier.
     * 
     * @param orgID
     */
    public void setOrgID(String orgID) {
        this.orgID = orgID;
    }
}
