
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rq;

import java.io.Serializable;

/** 
 * Information related to parties relevant to the contents of this message.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ParticipantType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:AggregatorType" name="Aggregator" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:CorporationType" name="Corporation" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:EnabledSystemType" name="EnabledSystem" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:CarrierType" name="MarketingCarrier" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:CarrierType" name="OperatingCarrier" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:CarrierType" name="ORA" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:CarrierType" name="POA" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:RetailPartnerType" name="RetailPartner" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:TravelAgencyType" name="TravelAgency" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ParticipantType implements Serializable
{
    private AggregatorType aggregator;
    private CorporationType corporation;
    private EnabledSystemType enabledSystem;
    private CarrierType marketingCarrier;
    private CarrierType operatingCarrier;
    private CarrierType ORA;
    private CarrierType POA;
    private RetailPartnerType retailPartner;
    private TravelAgencyType travelAgency;

    /** 
     * Get the 'Aggregator' element value. An entity who distributes a Sellerâ€™s shopping request to multiple Airlines and aggregates subsequent responses.
     * 
     * @return value
     */
    public AggregatorType getAggregator() {
        return aggregator;
    }

    /** 
     * Set the 'Aggregator' element value. An entity who distributes a Sellerâ€™s shopping request to multiple Airlines and aggregates subsequent responses.
     * 
     * @param aggregator
     */
    public void setAggregator(AggregatorType aggregator) {
        this.aggregator = aggregator;
    }

    /** 
     * Get the 'Corporation' element value. A company or group of people authorized to act as a single entity (legally a person) and recognized as such in law.
     * 
     * @return value
     */
    public CorporationType getCorporation() {
        return corporation;
    }

    /** 
     * Set the 'Corporation' element value. A company or group of people authorized to act as a single entity (legally a person) and recognized as such in law.
     * 
     * @param corporation
     */
    public void setCorporation(CorporationType corporation) {
        this.corporation = corporation;
    }

    /** 
     * Get the 'EnabledSystem' element value. NDC-enabled system.
     * 
     * @return value
     */
    public EnabledSystemType getEnabledSystem() {
        return enabledSystem;
    }

    /** 
     * Set the 'EnabledSystem' element value. NDC-enabled system.
     * 
     * @param enabledSystem
     */
    public void setEnabledSystem(EnabledSystemType enabledSystem) {
        this.enabledSystem = enabledSystem;
    }

    /** 
     * Get the 'MarketingCarrier' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @return value
     */
    public CarrierType getMarketingCarrier() {
        return marketingCarrier;
    }

    /** 
     * Set the 'MarketingCarrier' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @param marketingCarrier
     */
    public void setMarketingCarrier(CarrierType marketingCarrier) {
        this.marketingCarrier = marketingCarrier;
    }

    /** 
     * Get the 'OperatingCarrier' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @return value
     */
    public CarrierType getOperatingCarrier() {
        return operatingCarrier;
    }

    /** 
     * Set the 'OperatingCarrier' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @param operatingCarrier
     */
    public void setOperatingCarrier(CarrierType operatingCarrier) {
        this.operatingCarrier = operatingCarrier;
    }

    /** 
     * Get the 'ORA' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @return value
     */
    public CarrierType getORA() {
        return ORA;
    }

    /** 
     * Set the 'ORA' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @param ORA
     */
    public void setORA(CarrierType ORA) {
        this.ORA = ORA;
    }

    /** 
     * Get the 'POA' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @return value
     */
    public CarrierType getPOA() {
        return POA;
    }

    /** 
     * Set the 'POA' element value. The organization which carries the passenger, baggage, or goods, and/or commits to delivering the carriage as well as any related services such as issuance of ticket, creation of Order, etc.
     * 
     * @param POA
     */
    public void setPOA(CarrierType POA) {
        this.POA = POA;
    }

    /** 
     * Get the 'RetailPartner' element value. Retail Partner
     * 
     * @return value
     */
    public RetailPartnerType getRetailPartner() {
        return retailPartner;
    }

    /** 
     * Set the 'RetailPartner' element value. Retail Partner
     * 
     * @param retailPartner
     */
    public void setRetailPartner(RetailPartnerType retailPartner) {
        this.retailPartner = retailPartner;
    }

    /** 
     * Get the 'TravelAgency' element value. A private retailer or public service that provides travel and tourism related services to the public on behalf of suppliers such as activities, airlines, car rentals, cruise lines, hotels, railways, travel insurance, and package tours.
     * 
     * @return value
     */
    public TravelAgencyType getTravelAgency() {
        return travelAgency;
    }

    /** 
     * Set the 'TravelAgency' element value. A private retailer or public service that provides travel and tourism related services to the public on behalf of suppliers such as activities, airlines, car rentals, cruise lines, hotels, railways, travel insurance, and package tours.
     * 
     * @param travelAgency
     */
    public void setTravelAgency(TravelAgencyType travelAgency) {
        this.travelAgency = travelAgency;
    }
}
