
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rq;

import java.io.Serializable;

/** 
 * Information supporting a preference including preference level code (e.g. Preferred, Exclude, etc.).
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="PrefLevelType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="PrefContextText" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="ns:PrefLevelCodeContentType" name="PrefLevelCode" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class PrefLevelType implements Serializable
{
    private String prefContextText;
    private PrefLevelCodeContentType prefLevelCode;

    /** 
     * Get the 'PrefContextText' element value. Preference level context. E.g. MyContext
     * 
     * @return value
     */
    public String getPrefContextText() {
        return prefContextText;
    }

    /** 
     * Set the 'PrefContextText' element value. Preference level context. E.g. MyContext
     * 
     * @param prefContextText
     */
    public void setPrefContextText(String prefContextText) {
        this.prefContextText = prefContextText;
    }

    /** 
     * Get the 'PrefLevelCode' element value. Preference level code (e.g. Preferred, Required, Exclude, Other).
     * 
     * @return value
     */
    public PrefLevelCodeContentType getPrefLevelCode() {
        return prefLevelCode;
    }

    /** 
     * Set the 'PrefLevelCode' element value. Preference level code (e.g. Preferred, Required, Exclude, Other).
     * 
     * @param prefLevelCode
     */
    public void setPrefLevelCode(PrefLevelCodeContentType prefLevelCode) {
        this.prefLevelCode = prefLevelCode;
    }
}
