
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rq;

import java.io.Serializable;

/** 
 * Retail Partner
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRQ" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="RetailPartnerType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:ContactInfoType" name="ContactInfo" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="Name" minOccurs="0" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="RetailPartnerID" minOccurs="1" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class RetailPartnerType implements Serializable
{
    private ContactInfoType contactInfo;
    private String name;
    private String retailPartnerID;

    /** 
     * Get the 'ContactInfo' element value. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @return value
     */
    public ContactInfoType getContactInfo() {
        return contactInfo;
    }

    /** 
     * Set the 'ContactInfo' element value. The electronic or geographic address which a party has provided as the contact channel. For example, contact email, contact postal address, contact phone number.
     * 
     * @param contactInfo
     */
    public void setContactInfo(ContactInfoType contactInfo) {
        this.contactInfo = contactInfo;
    }

    /** 
     * Get the 'Name' element value. Retail partner name.
     * 
     * @return value
     */
    public String getName() {
        return name;
    }

    /** 
     * Set the 'Name' element value. Retail partner name.
     * 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /** 
     * Get the 'RetailPartnerID' element value. Unique Retailer ID
     * 
     * @return value
     */
    public String getRetailPartnerID() {
        return retailPartnerID;
    }

    /** 
     * Set the 'RetailPartnerID' element value. Unique Retailer ID
     * 
     * @param retailPartnerID
     */
    public void setRetailPartnerID(String retailPartnerID) {
        this.retailPartnerID = retailPartnerID;
    }
}
