
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rs;

import java.io.Serializable;

/** 
 * Price class information per Journey.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="JourneyPriceClassType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="xs:string" name="PaxJourneyRefID" minOccurs="1" maxOccurs="1"/>
 *     &lt;xs:element type="xs:string" name="PriceClassRefID" minOccurs="0" maxOccurs="1"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class JourneyPriceClassType implements Serializable
{
    private String paxJourneyRefID;
    private String priceClassRefID;

    /** 
     * Get the 'PaxJourneyRefID' element value. Reference to a Passenger Journey within the context of this message.
     * 
     * @return value
     */
    public String getPaxJourneyRefID() {
        return paxJourneyRefID;
    }

    /** 
     * Set the 'PaxJourneyRefID' element value. Reference to a Passenger Journey within the context of this message.
     * 
     * @param paxJourneyRefID
     */
    public void setPaxJourneyRefID(String paxJourneyRefID) {
        this.paxJourneyRefID = paxJourneyRefID;
    }

    /** 
     * Get the 'PriceClassRefID' element value. Itinerary level Price Class ref
     * 
     * @return value
     */
    public String getPriceClassRefID() {
        return priceClassRefID;
    }

    /** 
     * Set the 'PriceClassRefID' element value. Itinerary level Price Class ref
     * 
     * @param priceClassRefID
     */
    public void setPriceClassRefID(String priceClassRefID) {
        this.priceClassRefID = priceClassRefID;
    }
}
