
package com.gridnine.xtrip.server.gds.s7ndc.wsmodel052.orderReshop.rs;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/** 
 * Reshopped Carrier Offers.
 * 
 * Schema fragment(s) for this class:
 * <pre>
 * &lt;xs:complexType xmlns:ns="http://www.iata.org/IATA/2015/00/2019.1/IATA_OrderReshopRS" xmlns:xs="http://www.w3.org/2001/XMLSchema" name="ReshopOffersType">
 *   &lt;xs:sequence>
 *     &lt;xs:element type="ns:Offer1Type" name="ALaCarteOffer" minOccurs="0" maxOccurs="unbounded"/>
 *     &lt;xs:element type="ns:OfferType" name="Offer" minOccurs="0" maxOccurs="unbounded"/>
 *   &lt;/xs:sequence>
 * &lt;/xs:complexType>
 * </pre>
 */
public class ReshopOffersType implements Serializable
{
    private List<Offer1Type> ALaCarteOfferList = new ArrayList<Offer1Type>();
    private List<OfferType> offerList = new ArrayList<OfferType>();

    /** 
     * Get the list of 'ALaCarteOffer' element items. A proposal to sell a specific set of products or Services under specific conditions, for a certain price. Can be the response to a shopping request.
     * 
     * @return list
     */
    public List<Offer1Type> getALaCarteOfferList() {
        return ALaCarteOfferList;
    }

    /** 
     * Set the list of 'ALaCarteOffer' element items. A proposal to sell a specific set of products or Services under specific conditions, for a certain price. Can be the response to a shopping request.
     * 
     * @param list
     */
    public void setALaCarteOfferList(List<Offer1Type> list) {
        ALaCarteOfferList = list;
    }

    /** 
     * Get the list of 'Offer' element items. A proposal to sell a specific set of products or Services under specific conditions, for a certain price. Can be the response to a shopping request.
     * 
     * @return list
     */
    public List<OfferType> getOfferList() {
        return offerList;
    }

    /** 
     * Set the list of 'Offer' element items. A proposal to sell a specific set of products or Services under specific conditions, for a certain price. Can be the response to a shopping request.
     * 
     * @param list
     */
    public void setOfferList(List<OfferType> list) {
        offerList = list;
    }
}
